webpackJsonp([21],{

/***/ "AaWV":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/json/stringify.js
var stringify = __webpack_require__("mvHQ");
var stringify_default = /*#__PURE__*/__webpack_require__.n(stringify);

// EXTERNAL MODULE: ./src/common/components/header/headDetailInfo.vue + 3 modules
var headDetailInfo = __webpack_require__("qJ40");

// EXTERNAL MODULE: ./src/common/RSAjs/MD5.js
var MD5 = __webpack_require__("sX1a");
var MD5_default = /*#__PURE__*/__webpack_require__.n(MD5);

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/mypackage/mypackage.vue

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var mypackage = ({
  name: "mypackage",
  components: {
    headDetailInfo: headDetailInfo["a" /* default */]
  },
  data: function data() {
    return {
      title: '我的快递',
      leftarrow: true,
      rightText: '确定',
      packnum: '',
      packname: '',
      idcode: '',
      basePath: this.$store.getters.basePath,
      captchaUrl: '',
      idcodeError: '',
      clientHeight: '',
      showPackageInfo: false, //是否展示快递详情
      showPackageList: false,
      state: 0,
      company: '',
      packageInfo: [], //快递详情列表
      packageList: [], //自动识别的快递公司列表
      //快递名称编码列表
      expressCom: [{
        comCode: 'yunda',
        name: '韵达快递'
      }, {
        comCode: 'shunfeng',
        name: '顺丰速运'
      }, {
        comCode: 'youzhengguonei',
        name: '邮政快递包裹'
      }, {
        comCode: 'huitongkuaidi',
        name: '百世快递'
      }, {
        comCode: 'shentong',
        name: '申通快递'
      }, {
        comCode: 'yuantong',
        name: '圆通速递'
      }, {
        comCode: 'zhongtong',
        name: '中通快递'
      }, {
        comCode: 'ems',
        name: 'EMS'
      }, {
        comCode: 'jd',
        name: '京东物流'
      }, {
        comCode: 'tiantian',
        name: '天天快递'
      }, {
        comCode: 'debangwuliu',
        name: '德邦'
      }, {
        comCode: 'zhaijisong',
        name: '宅急送'
      }, {
        comCode: 'debangkuaidi',
        name: '德邦快递'
      }],
      //快递状态
      states: [{
        state: 0,
        words: '在途中'
      }, {
        state: 1,
        words: '已揽收'
      }, {
        state: 2,
        words: '疑难'
      }, {
        state: 3,
        words: '已签收'
      }, {
        state: 4,
        words: '退签'
      }, {
        state: 5,
        words: '同城派送中'
      }, {
        state: 6,
        words: '退回'
      }, {
        state: 7,
        words: '转单'
      }]

    };
  },
  mounted: function mounted() {
    this.changeCaptcha();
    // this.clientHeight = document.documentElement.clientHeight // 屏幕高度
    // window.onresize = function temp() {
    //   this.clientHeight = document.documentElement.clientHeight;
    // };
  },

  watch: {
    // 如果 `clientHeight` 发生改变，这个函数就会运行
    clientHeight: function clientHeight() {
      this.changeFixed(this.clientHeight);
    }
  },
  methods: {
    changeCaptcha: function changeCaptcha() {
      this.captchaUrl = this.basePath + 'CaptchaImg?rd=' + new Date().getTime();
    },
    checkPack: function checkPack() {
      this.$router.push({ path: 'checkPackage' });
    },
    changeFixed: function changeFixed(clientHeight) {
      //动态修改样式
      this.$refs.divPage.style.height = clientHeight + 'px';
    },

    //点击查询触发 查到快递信息则进入详情页面
    logisticsInfo: function logisticsInfo(item) {
      var _this = this;

      var qs = __webpack_require__("mw3O");
      var company = item.companyName;
      var packname = item.comCode; //快递公司编码
      var packnum = this.packnum; //快递单号
      var param = {
        "com": packname,
        "num": packnum,
        "from": "",
        "phone": "",
        "to": "",
        "resultv2": 0
      };
      var customer = '9BAC283941A0EA60D188669A9093F17D';
      var key = 'UZAXiLzc9769';
      var str = stringify_default()(param) + key + customer;
      var hash = Object(MD5["hexMD5"])(str).toUpperCase();
      var url = 'http://poll.kuaidi100.com/poll/query.do?customer=9BAC283941A0EA60D188669A9093F17D&sign=' + hash + '&param={"com":' + '"' + packname + '"' + ',"num":' + '"' + packnum + '"' + ',"from":"","phone":"","to":"","resultv2":0}';
      var params = {
        url: url
      };
      this.$axios.post('/personal/kuaidiAutoPost', qs.stringify(params)).then(function (result) {
        var item = result.data.data.data;
        if (item.result == 'false') {
          _this.$toast.fail(item.message);
        } else {
          //获取快递状态
          var state = item.state;
          //定义快递状态数组
          var states = _this.states;
          var x = 0;
          //循环找到匹配快递状态
          for (x in states) {
            if (state == states[x].state) {
              state = states[x].words;
            }
          }
          _this.company = company;
          _this.state = state;
          _this.packageInfo = item.data;
          _this.showPackageInfo = true;
          _this.showPackageList = false;
        }
      }).catch(function (e) {});
    },

    //监听快递单号输入
    inputPacknum: function inputPacknum(value) {
      var keyWord = value;
      if (keyWord.length > 10) {
        // 假设现在需要检测到用户输入的值，用户 1000 毫秒内没有继续输入就将该值打印出来
        this.throttle(this.queryAuto, null, 1000, keyWord);
      }
    },

    // 节流
    throttle: function throttle(fn, context, delay, text) {
      if (fn.timeoutId == 'undefined') {
        fn.timeoutId = setTimeout(function () {
          fn.call(context, text);
        }, delay);
      } else {
        clearTimeout(fn.timeoutId);
        fn.timeoutId = setTimeout(function () {
          fn.call(context, text);
        }, delay);
      }
    },
    //快递单号自动识别
    queryAuto: function queryAuto() {
      var _this2 = this;

      var qs = __webpack_require__("mw3O");
      var keyWord = this.packnum;
      var key = 'UZAXiLzc9769';
      var url = 'http://www.kuaidi100.com/autonumber/auto?num=' + keyWord + '&key=' + key;
      var param = {
        url: url
      };
      this.$axios.post('/personal/kuaidiAuto', qs.stringify(param)).then(function (result) {
        var list = result.data.data.data;
        var packageList = [];
        for (var a = 0; a < list.length; a++) {
          for (var b = 0; b < _this2.expressCom.length; b++) {
            if (list[a].comCode == _this2.expressCom[b].comCode) {
              list[a].companyName = _this2.expressCom[b].name;
              packageList.push(list[a]);
            }
          }
        }
        _this2.packageList = packageList;
        _this2.showPackageList = true;
        _this2.showPackageInfo = false;
      }).catch(function (e) {});
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/mypackage/mypackage.vue

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var mypackage_mypackage = ({
  name: "mypackage",
  components: {
    headDetailInfo: headDetailInfo["a" /* default */]
  },
  data: function data() {
    return {
      title: '我的快递',
      leftarrow: true,
      rightText: '确定',
      packnum: '',
      packname: '',
      idcode: '',
      basePath: this.$store.getters.basePath,
      captchaUrl: '',
      idcodeError: '',
      clientHeight: '',
      showPackageInfo: false, //是否展示快递详情
      showPackageList: false,
      state: 0,
      company: '',
      packageInfo: [], //快递详情列表
      packageList: [], //自动识别的快递公司列表
      //快递名称编码列表
      expressCom: [{
        comCode: 'yunda',
        name: '韵达快递'
      }, {
        comCode: 'shunfeng',
        name: '顺丰速运'
      }, {
        comCode: 'youzhengguonei',
        name: '邮政快递包裹'
      }, {
        comCode: 'huitongkuaidi',
        name: '百世快递'
      }, {
        comCode: 'shentong',
        name: '申通快递'
      }, {
        comCode: 'yuantong',
        name: '圆通速递'
      }, {
        comCode: 'zhongtong',
        name: '中通快递'
      }, {
        comCode: 'ems',
        name: 'EMS'
      }, {
        comCode: 'jd',
        name: '京东物流'
      }, {
        comCode: 'tiantian',
        name: '天天快递'
      }, {
        comCode: 'debangwuliu',
        name: '德邦'
      }, {
        comCode: 'zhaijisong',
        name: '宅急送'
      }, {
        comCode: 'debangkuaidi',
        name: '德邦快递'
      }],
      //快递状态
      states: [{
        state: 0,
        words: '在途中'
      }, {
        state: 1,
        words: '已揽收'
      }, {
        state: 2,
        words: '疑难'
      }, {
        state: 3,
        words: '已签收'
      }, {
        state: 4,
        words: '退签'
      }, {
        state: 5,
        words: '同城派送中'
      }, {
        state: 6,
        words: '退回'
      }, {
        state: 7,
        words: '转单'
      }]

    };
  },
  mounted: function mounted() {
    this.changeCaptcha();
    // this.clientHeight = document.documentElement.clientHeight // 屏幕高度
    // window.onresize = function temp() {
    //   this.clientHeight = document.documentElement.clientHeight;
    // };
  },

  watch: {
    // 如果 `clientHeight` 发生改变，这个函数就会运行
    clientHeight: function clientHeight() {
      this.changeFixed(this.clientHeight);
    }
  },
  methods: {
    changeCaptcha: function changeCaptcha() {
      this.captchaUrl = this.basePath + 'CaptchaImg?rd=' + new Date().getTime();
    },
    checkPack: function checkPack() {
      this.$router.push({ path: 'checkPackage' });
    },
    changeFixed: function changeFixed(clientHeight) {
      //动态修改样式
      this.$refs.divPage.style.height = clientHeight + 'px';
    },

    //点击查询触发 查到快递信息则进入详情页面
    logisticsInfo: function logisticsInfo(item) {
      var _this = this;

      var qs = __webpack_require__("mw3O");
      var company = item.companyName;
      var packname = item.comCode; //快递公司编码
      var packnum = this.packnum; //快递单号
      var param = {
        "com": packname,
        "num": packnum,
        "from": "",
        "phone": "",
        "to": "",
        "resultv2": 0
      };
      var customer = '9BAC283941A0EA60D188669A9093F17D';
      var key = 'UZAXiLzc9769';
      var str = stringify_default()(param) + key + customer;
      var hash = Object(MD5["hexMD5"])(str).toUpperCase();
      var url = 'http://poll.kuaidi100.com/poll/query.do?customer=9BAC283941A0EA60D188669A9093F17D&sign=' + hash + '&param={"com":' + '"' + packname + '"' + ',"num":' + '"' + packnum + '"' + ',"from":"","phone":"","to":"","resultv2":0}';
      var params = {
        url: url
      };
      this.$axios.post('/personal/kuaidiAutoPost', qs.stringify(params)).then(function (result) {
        var item = result.data.data.data;
        if (item.result == 'false') {
          _this.$toast.fail(item.message);
        } else {
          //获取快递状态
          var state = item.state;
          //定义快递状态数组
          var states = _this.states;
          var x = 0;
          //循环找到匹配快递状态
          for (x in states) {
            if (state == states[x].state) {
              state = states[x].words;
            }
          }
          _this.company = company;
          _this.state = state;
          _this.packageInfo = item.data;
          _this.showPackageInfo = true;
          _this.showPackageList = false;
        }
      }).catch(function (e) {});
    },

    //监听快递单号输入
    inputPacknum: function inputPacknum(value) {
      var keyWord = value;
      if (keyWord.length > 10) {
        // 假设现在需要检测到用户输入的值，用户 1000 毫秒内没有继续输入就将该值打印出来
        this.throttle(this.queryAuto, null, 1000, keyWord);
      }
    },

    // 节流
    throttle: function throttle(fn, context, delay, text) {
      if (fn.timeoutId == 'undefined') {
        fn.timeoutId = setTimeout(function () {
          fn.call(context, text);
        }, delay);
      } else {
        clearTimeout(fn.timeoutId);
        fn.timeoutId = setTimeout(function () {
          fn.call(context, text);
        }, delay);
      }
    },
    //快递单号自动识别
    queryAuto: function queryAuto() {
      var _this2 = this;

      var qs = __webpack_require__("mw3O");
      var keyWord = this.packnum;
      var key = 'UZAXiLzc9769';
      var url = 'http://www.kuaidi100.com/autonumber/auto?num=' + keyWord + '&key=' + key;
      var param = {
        url: url
      };
      this.$axios.post('/personal/kuaidiAuto', qs.stringify(param)).then(function (result) {
        var list = result.data.data.data;
        var packageList = [];
        for (var a = 0; a < list.length; a++) {
          for (var b = 0; b < _this2.expressCom.length; b++) {
            if (list[a].comCode == _this2.expressCom[b].comCode) {
              list[a].companyName = _this2.expressCom[b].name;
              packageList.push(list[a]);
            }
          }
        }
        _this2.packageList = packageList;
        _this2.showPackageList = true;
        _this2.showPackageInfo = false;
      }).catch(function (e) {});
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-2fa99664","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/mzbAPP/personal/part/mypackage/mypackage.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{ref:"divPage",staticClass:"mypackage"},[_c('head-detail-info',{attrs:{"title":_vm.title,"leftarrow":_vm.leftarrow}}),_vm._v(" "),_c('div',{staticClass:"fieldOuter"},[_c('div',{staticClass:"fieldInner"},[_c('div',{staticStyle:{"font-size":"18px"}},[_vm._v("快递单号")]),_vm._v(" "),_c('van-field',{attrs:{"center":"","clearable":""},on:{"input":_vm.inputPacknum},model:{value:(_vm.packnum),callback:function ($$v) {_vm.packnum=$$v},expression:"packnum"}}),_vm._v(" "),_c('div',{staticStyle:{"height":"1px","background":"#e5e5e5"}}),_vm._v(" "),_c('div',{staticStyle:{"font-size":"16px","color":"#666666","font-weight":"lighter","margin-top":"20px"}},[_vm._v("自动匹配快递公司")])],1)]),_vm._v(" "),_c('div',{directives:[{name:"show",rawName:"v-show",value:(_vm.showPackageInfo),expression:"showPackageInfo"}],staticStyle:{"margin-top":"-10px","background":"#fff","float":"left"}},[_c('div',{staticStyle:{"float":"left","width":"100%","margin-top":"10px"}},[_c('div',{staticStyle:{"width":"calc(30% - 15px)","float":"left","margin-left":"15px","font-size":"18px"}},[_vm._v("\n        "+_vm._s(_vm.company)+"\n      ")]),_vm._v(" "),_c('div',{staticStyle:{"width":"calc(40% - 20px)","float":"left","margin-left":"20px","font-size":"18px"}},[_vm._v("\n        "+_vm._s(_vm.packnum)+"\n      ")]),_vm._v(" "),_c('div',{staticStyle:{"width":"calc(20% - 15px)","float":"right","margin-right":"15px","font-size":"16px","color":"#097cd7","text-align":"right"}},[_vm._v("\n        "+_vm._s(_vm.state)+"\n      ")])]),_vm._v(" "),_c('div',{staticStyle:{"margin-top":"10px","float":"left","width":"100%"}},[_c('van-steps',{staticStyle:{"width":"calc(100% - 35px)"},attrs:{"direction":"vertical","active":0,"active-color":"#38f"}},_vm._l((_vm.packageInfo),function(item){return _c('van-step',{key:item.time},[_c('p',{staticStyle:{"color":"#4c4c4f"}},[_vm._v(_vm._s(item.context))]),_vm._v(" "),_c('p',[_vm._v(_vm._s(item.time))])])}),1)],1)]),_vm._v(" "),_c('div',{directives:[{name:"show",rawName:"v-show",value:(_vm.showPackageList),expression:"showPackageList"}],staticClass:"showPackageList"},_vm._l((_vm.packageList),function(item){return _c('van-cell',{key:item.comCode,staticStyle:{"text-align":"center"},attrs:{"title":item.companyName},on:{"click":function($event){return _vm.logisticsInfo(item)}}})}),1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var part_mypackage_mypackage = (esExports);
// CONCATENATED MODULE: ./src/mzbAPP/personal/part/mypackage/mypackage.vue
function injectStyle (ssrContext) {
  __webpack_require__("whEg")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-2fa99664"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  mypackage_mypackage,
  part_mypackage_mypackage,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var personal_part_mypackage_mypackage = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "sX1a":
/***/ (function(module, exports) {

/* 

复制代码
/*
 * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
 * Digest Algorithm, as defined in RFC 1321.
 * Version 2.1 Copyright (C) Paul Johnston 1999 - 2002.
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
 * Distributed under the BSD License
 * See http://pajhome.org.uk/crypt/md5 for more info.
 */

/*
 * Configurable variables. You may need to tweak these to be compatible with
 * the server-side, but the defaults work in most cases.
 */
var hexcase = 0; /* hex output format. 0 - lowercase; 1 - uppercase        */
var b64pad = ""; /* base-64 pad character. "=" for strict RFC compliance   */
var chrsz = 8; /* bits per input character. 8 - ASCII; 16 - Unicode      */

/*
 * These are the functions you'll usually want to call
 * They take string arguments and return either hex or base-64 encoded strings
 */
function hex_md5(s) {
  return binl2hex(core_md5(str2binl(s), s.length * chrsz));
}
function b64_md5(s) {
  return binl2b64(core_md5(str2binl(s), s.length * chrsz));
}
function str_md5(s) {
  return binl2str(core_md5(str2binl(s), s.length * chrsz));
}
function hex_hmac_md5(key, data) {
  return binl2hex(core_hmac_md5(key, data));
}
function b64_hmac_md5(key, data) {
  return binl2b64(core_hmac_md5(key, data));
}
function str_hmac_md5(key, data) {
  return binl2str(core_hmac_md5(key, data));
}

/*
 * Perform a simple self-test to see if the VM is working
 */
function md5_vm_test() {
  return hex_md5("abc") == "900150983cd24fb0d6963f7d28e17f72";
}

/*
 * Calculate the MD5 of an array of little-endian words, and a bit length
 */
function core_md5(x, len) {
  /* append padding */
  x[len >> 5] |= 0x80 << len % 32;
  x[(len + 64 >>> 9 << 4) + 14] = len;

  var a = 1732584193;
  var b = -271733879;
  var c = -1732584194;
  var d = 271733878;

  for (var i = 0; i < x.length; i += 16) {
    var olda = a;
    var oldb = b;
    var oldc = c;
    var oldd = d;

    a = md5_ff(a, b, c, d, x[i + 0], 7, -680876936);
    d = md5_ff(d, a, b, c, x[i + 1], 12, -389564586);
    c = md5_ff(c, d, a, b, x[i + 2], 17, 606105819);
    b = md5_ff(b, c, d, a, x[i + 3], 22, -1044525330);
    a = md5_ff(a, b, c, d, x[i + 4], 7, -176418897);
    d = md5_ff(d, a, b, c, x[i + 5], 12, 1200080426);
    c = md5_ff(c, d, a, b, x[i + 6], 17, -1473231341);
    b = md5_ff(b, c, d, a, x[i + 7], 22, -45705983);
    a = md5_ff(a, b, c, d, x[i + 8], 7, 1770035416);
    d = md5_ff(d, a, b, c, x[i + 9], 12, -1958414417);
    c = md5_ff(c, d, a, b, x[i + 10], 17, -42063);
    b = md5_ff(b, c, d, a, x[i + 11], 22, -1990404162);
    a = md5_ff(a, b, c, d, x[i + 12], 7, 1804603682);
    d = md5_ff(d, a, b, c, x[i + 13], 12, -40341101);
    c = md5_ff(c, d, a, b, x[i + 14], 17, -1502002290);
    b = md5_ff(b, c, d, a, x[i + 15], 22, 1236535329);

    a = md5_gg(a, b, c, d, x[i + 1], 5, -165796510);
    d = md5_gg(d, a, b, c, x[i + 6], 9, -1069501632);
    c = md5_gg(c, d, a, b, x[i + 11], 14, 643717713);
    b = md5_gg(b, c, d, a, x[i + 0], 20, -373897302);
    a = md5_gg(a, b, c, d, x[i + 5], 5, -701558691);
    d = md5_gg(d, a, b, c, x[i + 10], 9, 38016083);
    c = md5_gg(c, d, a, b, x[i + 15], 14, -660478335);
    b = md5_gg(b, c, d, a, x[i + 4], 20, -405537848);
    a = md5_gg(a, b, c, d, x[i + 9], 5, 568446438);
    d = md5_gg(d, a, b, c, x[i + 14], 9, -1019803690);
    c = md5_gg(c, d, a, b, x[i + 3], 14, -187363961);
    b = md5_gg(b, c, d, a, x[i + 8], 20, 1163531501);
    a = md5_gg(a, b, c, d, x[i + 13], 5, -1444681467);
    d = md5_gg(d, a, b, c, x[i + 2], 9, -51403784);
    c = md5_gg(c, d, a, b, x[i + 7], 14, 1735328473);
    b = md5_gg(b, c, d, a, x[i + 12], 20, -1926607734);

    a = md5_hh(a, b, c, d, x[i + 5], 4, -378558);
    d = md5_hh(d, a, b, c, x[i + 8], 11, -2022574463);
    c = md5_hh(c, d, a, b, x[i + 11], 16, 1839030562);
    b = md5_hh(b, c, d, a, x[i + 14], 23, -35309556);
    a = md5_hh(a, b, c, d, x[i + 1], 4, -1530992060);
    d = md5_hh(d, a, b, c, x[i + 4], 11, 1272893353);
    c = md5_hh(c, d, a, b, x[i + 7], 16, -155497632);
    b = md5_hh(b, c, d, a, x[i + 10], 23, -1094730640);
    a = md5_hh(a, b, c, d, x[i + 13], 4, 681279174);
    d = md5_hh(d, a, b, c, x[i + 0], 11, -358537222);
    c = md5_hh(c, d, a, b, x[i + 3], 16, -722521979);
    b = md5_hh(b, c, d, a, x[i + 6], 23, 76029189);
    a = md5_hh(a, b, c, d, x[i + 9], 4, -640364487);
    d = md5_hh(d, a, b, c, x[i + 12], 11, -421815835);
    c = md5_hh(c, d, a, b, x[i + 15], 16, 530742520);
    b = md5_hh(b, c, d, a, x[i + 2], 23, -995338651);

    a = md5_ii(a, b, c, d, x[i + 0], 6, -198630844);
    d = md5_ii(d, a, b, c, x[i + 7], 10, 1126891415);
    c = md5_ii(c, d, a, b, x[i + 14], 15, -1416354905);
    b = md5_ii(b, c, d, a, x[i + 5], 21, -57434055);
    a = md5_ii(a, b, c, d, x[i + 12], 6, 1700485571);
    d = md5_ii(d, a, b, c, x[i + 3], 10, -1894986606);
    c = md5_ii(c, d, a, b, x[i + 10], 15, -1051523);
    b = md5_ii(b, c, d, a, x[i + 1], 21, -2054922799);
    a = md5_ii(a, b, c, d, x[i + 8], 6, 1873313359);
    d = md5_ii(d, a, b, c, x[i + 15], 10, -30611744);
    c = md5_ii(c, d, a, b, x[i + 6], 15, -1560198380);
    b = md5_ii(b, c, d, a, x[i + 13], 21, 1309151649);
    a = md5_ii(a, b, c, d, x[i + 4], 6, -145523070);
    d = md5_ii(d, a, b, c, x[i + 11], 10, -1120210379);
    c = md5_ii(c, d, a, b, x[i + 2], 15, 718787259);
    b = md5_ii(b, c, d, a, x[i + 9], 21, -343485551);

    a = safe_add(a, olda);
    b = safe_add(b, oldb);
    c = safe_add(c, oldc);
    d = safe_add(d, oldd);
  }
  return Array(a, b, c, d);
}

/*
 * These functions implement the four basic operations the algorithm uses.
 */
function md5_cmn(q, a, b, x, s, t) {
  return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s), b);
}
function md5_ff(a, b, c, d, x, s, t) {
  return md5_cmn(b & c | ~b & d, a, b, x, s, t);
}
function md5_gg(a, b, c, d, x, s, t) {
  return md5_cmn(b & d | c & ~d, a, b, x, s, t);
}
function md5_hh(a, b, c, d, x, s, t) {
  return md5_cmn(b ^ c ^ d, a, b, x, s, t);
}
function md5_ii(a, b, c, d, x, s, t) {
  return md5_cmn(c ^ (b | ~d), a, b, x, s, t);
}

/*
 * Calculate the HMAC-MD5, of a key and some data
 */
function core_hmac_md5(key, data) {
  var bkey = str2binl(key);
  if (bkey.length > 16) bkey = core_md5(bkey, key.length * chrsz);

  var ipad = Array(16),
      opad = Array(16);
  for (var i = 0; i < 16; i++) {
    ipad[i] = bkey[i] ^ 0x36363636;
    opad[i] = bkey[i] ^ 0x5C5C5C5C;
  }

  var hash = core_md5(ipad.concat(str2binl(data)), 512 + data.length * chrsz);
  return core_md5(opad.concat(hash), 512 + 128);
}

/*
 * Add integers, wrapping at 2^32. This uses 16-bit operations internally
 * to work around bugs in some JS interpreters.
 */
function safe_add(x, y) {
  var lsw = (x & 0xFFFF) + (y & 0xFFFF);
  var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
  return msw << 16 | lsw & 0xFFFF;
}

/*
 * Bitwise rotate a 32-bit number to the left.
 */
function bit_rol(num, cnt) {
  return num << cnt | num >>> 32 - cnt;
}

/*
 * Convert a string to an array of little-endian words
 * If chrsz is ASCII, characters >255 have their hi-byte silently ignored.
 */
function str2binl(str) {
  var bin = Array();
  var mask = (1 << chrsz) - 1;
  for (var i = 0; i < str.length * chrsz; i += chrsz) {
    bin[i >> 5] |= (str.charCodeAt(i / chrsz) & mask) << i % 32;
  }return bin;
}

/*
 * Convert an array of little-endian words to a string
 */
function binl2str(bin) {
  var str = "";
  var mask = (1 << chrsz) - 1;
  for (var i = 0; i < bin.length * 32; i += chrsz) {
    str += String.fromCharCode(bin[i >> 5] >>> i % 32 & mask);
  }return str;
}

/*
 * Convert an array of little-endian words to a hex string.
 */
function binl2hex(binarray) {
  var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
  var str = "";
  for (var i = 0; i < binarray.length * 4; i++) {
    str += hex_tab.charAt(binarray[i >> 2] >> i % 4 * 8 + 4 & 0xF) + hex_tab.charAt(binarray[i >> 2] >> i % 4 * 8 & 0xF);
  }
  return str;
}

/*
 * Convert an array of little-endian words to a base-64 string
 */
function binl2b64(binarray) {
  var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
  var str = "";
  for (var i = 0; i < binarray.length * 4; i += 3) {
    var triplet = (binarray[i >> 2] >> 8 * (i % 4) & 0xFF) << 16 | (binarray[i + 1 >> 2] >> 8 * ((i + 1) % 4) & 0xFF) << 8 | binarray[i + 2 >> 2] >> 8 * ((i + 2) % 4) & 0xFF;
    for (var j = 0; j < 4; j++) {
      if (i * 8 + j * 6 > binarray.length * 32) str += b64pad;else str += tab.charAt(triplet >> 6 * (3 - j) & 0x3F);
    }
  }
  return str;
}
module.exports = {
  hexMD5: hex_md5
};

/***/ }),

/***/ "whEg":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=21.603f1d05f13ad07b3e53.js.map