webpackJsonp([40],{

/***/ "dvE2":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./src/common/components/header/headDetail.vue + 3 modules
var headDetail = __webpack_require__("Djmk");

// EXTERNAL MODULE: ./src/common/RSAjs/dealData.js + 6 modules
var dealData = __webpack_require__("AmbH");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/forgetPassword/forgetPassword.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var forgetPassword = ({
  name: "forgetPassword",
  components: {
    headDetail: headDetail["a" /* default */], dealData: dealData["a" /* default */]
  },
  data: function data() {
    return {
      title: '忘记密码',
      leftarrow: true,
      enableButton: false,
      disableButton: true,
      smsText: true,
      userInfo: {
        sms: '',
        newpassword: '',
        newpassword_2: '',
        loginId: '',
        disabled: true,
        checkcodeId: ''
      },
      userInfoError: {
        smsError: '',
        password: '',
        password_2: '',
        loginIdError: ''
      },
      show: false, //弹出框
      computedTime: 0, //倒数记时
      timer: null //计时器
    };
  },

  methods: {
    getSms: function getSms() {
      var _this = this;

      this.$vux.loading.show({
        text: '请稍候'
      });
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/forgetpassword/getSms', qs.stringify({
        'loginId': this.userInfo.loginId
      })).then(function (result) {
        _this.$vux.loading.hide();
        if (result.data.errors.length == 0) {
          if (result.data.data.bizData.bizSuccess) {
            _this.$toast('发送验证码成功，请注意查收！');
            _this.userInfo.checkcodeId = JSON.parse(result.data.data.bizData.data).checkCodeId;
            _this.smsText = false;
            var TIME_COUNT = 30;
            if (!_this.timer) {
              _this.computedTime = TIME_COUNT;
              _this.timer = setInterval(function () {
                if (_this.computedTime > 0 && _this.computedTime <= TIME_COUNT) {
                  _this.computedTime--;
                } else {
                  clearInterval(_this.timer);
                  _this.timer = null;
                  _this.smsText = true;
                }
              }, 1000);
            }
          } else {
            _this.$toast(result.data.data.bizData.message);
          }
        } else {
          _this.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {
        _this.$vux.loading.hide();
      });
    },

    /**
     * 重置密码
     */
    resetPassword: function resetPassword() {
      var _this2 = this;

      var flag = true;
      if (this.userInfo.loginId === '') {
        this.userInfoError.loginIdError = '请填写登录账号';
        flag = false;
      } else {
        this.userInfoError.loginIdError = '';
      }
      if (this.userInfo.sms === '') {
        this.userInfoError.smsError = '验证码不能为空';
        flag = false;
      } else {
        this.userInfoError.smsError = '';
      }
      if (this.userInfo.newpassword === '') {
        this.userInfoError.password = '请填写新密码';
        flag = false;
      } else {
        this.userInfoError.password = '';
      }
      if (this.userInfo.newpassword_2 === '') {
        this.userInfoError.password_2 = '请确认新密码';
        flag = false;
      } else if (this.userInfo.newpassword_2 != this.userInfo.newpassword) {
        this.userInfoError.password_2 = '两次密码输入不一致';
        flag = false;
      } else {
        this.userInfoError.password_2 = '';
      }
      if (flag) {
        var qs = __webpack_require__("mw3O");
        var formData = this.userInfo;
        formData.password = dealData["a" /* default */].encryptPwd(formData.newpassword);
        this.$axios.post('/forgetpassword/changePassword', qs.stringify(formData)).then(function (result) {
          if (result.data.errors.length == 0) {
            _this2.show = true;
          } else {
            _this2.$toast(result.data.errors[0].msg);
          }
        }).catch(function (e) {
          console.log(e);
        });
      }
    },
    inputLoginId: function inputLoginId() {
      if (this.userInfo.loginId.length > 0) {
        this.userInfo.disabled = false;
        this.enableButton = true;
        this.disableButton = false;
      } else {
        this.userInfo.disabled = true;
        this.disableButton = true;
        this.enableButton = false;
      }
    },
    modifyPasswordSuccess: function modifyPasswordSuccess() {
      var _this3 = this;

      this.$toast.loading({
        duration: 0, // 持续展示 toast
        forbidClick: true, // 禁用背景点击
        loadingType: 'spinner',
        message: '正在跳转...'
      });

      var second = 1;
      var timer = setInterval(function () {
        second--;
        if (!second) {
          clearInterval(timer);
          _this3.$toast.clear();
          _this3.$router.push({ path: '/login' });
        }
      }, 1000);
    },
    forgetLoginId: function forgetLoginId() {
      this.$router.push({ path: '/forgetLoginId' });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/forgetPassword/forgetPassword.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var forgetPassword_forgetPassword = ({
  name: "forgetPassword",
  components: {
    headDetail: headDetail["a" /* default */], dealData: dealData["a" /* default */]
  },
  data: function data() {
    return {
      title: '忘记密码',
      leftarrow: true,
      enableButton: false,
      disableButton: true,
      smsText: true,
      userInfo: {
        sms: '',
        newpassword: '',
        newpassword_2: '',
        loginId: '',
        disabled: true,
        checkcodeId: ''
      },
      userInfoError: {
        smsError: '',
        password: '',
        password_2: '',
        loginIdError: ''
      },
      show: false, //弹出框
      computedTime: 0, //倒数记时
      timer: null //计时器
    };
  },

  methods: {
    getSms: function getSms() {
      var _this = this;

      this.$vux.loading.show({
        text: '请稍候'
      });
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/forgetpassword/getSms', qs.stringify({
        'loginId': this.userInfo.loginId
      })).then(function (result) {
        _this.$vux.loading.hide();
        if (result.data.errors.length == 0) {
          if (result.data.data.bizData.bizSuccess) {
            _this.$toast('发送验证码成功，请注意查收！');
            _this.userInfo.checkcodeId = JSON.parse(result.data.data.bizData.data).checkCodeId;
            _this.smsText = false;
            var TIME_COUNT = 30;
            if (!_this.timer) {
              _this.computedTime = TIME_COUNT;
              _this.timer = setInterval(function () {
                if (_this.computedTime > 0 && _this.computedTime <= TIME_COUNT) {
                  _this.computedTime--;
                } else {
                  clearInterval(_this.timer);
                  _this.timer = null;
                  _this.smsText = true;
                }
              }, 1000);
            }
          } else {
            _this.$toast(result.data.data.bizData.message);
          }
        } else {
          _this.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {
        _this.$vux.loading.hide();
      });
    },

    /**
     * 重置密码
     */
    resetPassword: function resetPassword() {
      var _this2 = this;

      var flag = true;
      if (this.userInfo.loginId === '') {
        this.userInfoError.loginIdError = '请填写登录账号';
        flag = false;
      } else {
        this.userInfoError.loginIdError = '';
      }
      if (this.userInfo.sms === '') {
        this.userInfoError.smsError = '验证码不能为空';
        flag = false;
      } else {
        this.userInfoError.smsError = '';
      }
      if (this.userInfo.newpassword === '') {
        this.userInfoError.password = '请填写新密码';
        flag = false;
      } else {
        this.userInfoError.password = '';
      }
      if (this.userInfo.newpassword_2 === '') {
        this.userInfoError.password_2 = '请确认新密码';
        flag = false;
      } else if (this.userInfo.newpassword_2 != this.userInfo.newpassword) {
        this.userInfoError.password_2 = '两次密码输入不一致';
        flag = false;
      } else {
        this.userInfoError.password_2 = '';
      }
      if (flag) {
        var qs = __webpack_require__("mw3O");
        var formData = this.userInfo;
        formData.password = dealData["a" /* default */].encryptPwd(formData.newpassword);
        this.$axios.post('/forgetpassword/changePassword', qs.stringify(formData)).then(function (result) {
          if (result.data.errors.length == 0) {
            _this2.show = true;
          } else {
            _this2.$toast(result.data.errors[0].msg);
          }
        }).catch(function (e) {
          console.log(e);
        });
      }
    },
    inputLoginId: function inputLoginId() {
      if (this.userInfo.loginId.length > 0) {
        this.userInfo.disabled = false;
        this.enableButton = true;
        this.disableButton = false;
      } else {
        this.userInfo.disabled = true;
        this.disableButton = true;
        this.enableButton = false;
      }
    },
    modifyPasswordSuccess: function modifyPasswordSuccess() {
      var _this3 = this;

      this.$toast.loading({
        duration: 0, // 持续展示 toast
        forbidClick: true, // 禁用背景点击
        loadingType: 'spinner',
        message: '正在跳转...'
      });

      var second = 1;
      var timer = setInterval(function () {
        second--;
        if (!second) {
          clearInterval(timer);
          _this3.$toast.clear();
          _this3.$router.push({ path: '/login' });
        }
      }, 1000);
    },
    forgetLoginId: function forgetLoginId() {
      this.$router.push({ path: '/forgetLoginId' });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-7a8681cc","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/mzbAPP/personal/part/forgetPassword/forgetPassword.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('head-detail',{attrs:{"title":_vm.title,"leftarrow":_vm.leftarrow}}),_vm._v(" "),_c('div',{staticStyle:{"margin-top":"3rem"}},[_c('van-field',{attrs:{"clearable":"","label":"登录账号","placeholder":"请填写登录账号","error-message":_vm.userInfoError.loginIdError,"maxlength":"20"},on:{"input":_vm.inputLoginId},model:{value:(_vm.userInfo.loginId),callback:function ($$v) {_vm.$set(_vm.userInfo, "loginId", $$v)},expression:"userInfo.loginId"}}),_vm._v(" "),_c('van-field',{attrs:{"center":"","clearable":"","label":"短信验证码","placeholder":"请输入短信验证码","maxlength":"6","error-message":_vm.userInfoError.smsError},model:{value:(_vm.userInfo.sms),callback:function ($$v) {_vm.$set(_vm.userInfo, "sms", $$v)},expression:"userInfo.sms"}},[(_vm.smsText)?_c('van-button',{class:{'enableButton':_vm.enableButton,'disableButton':_vm.disableButton},attrs:{"slot":"button","size":"small","type":"primary","disabled":_vm.userInfo.disabled},on:{"click":_vm.getSms},slot:"button"},[_vm._v("获取验证码\n      ")]):_c('van-button',{staticStyle:{"background-color":"#999999","width":"100px","border-radius":"5px"},attrs:{"slot":"button","size":"small","disabled":"","type":"default"},slot:"button"},[_vm._v(_vm._s(_vm.computedTime)+"s后获取\n      ")])],1),_vm._v(" "),_c('van-field',{attrs:{"clearable":"","type":"password","label":"新密码","placeholder":"8-20位含字母 数字 符号","error-message":_vm.userInfoError.password,"maxlength":"20","minlength":"8"},model:{value:(_vm.userInfo.newpassword),callback:function ($$v) {_vm.$set(_vm.userInfo, "newpassword", $$v)},expression:"userInfo.newpassword"}}),_vm._v(" "),_c('van-field',{attrs:{"clearable":"","type":"password","label":"确认密码","placeholder":"8-20位含字母 数字 符号","error-message":_vm.userInfoError.password_2,"maxlength":"20","minlength":"8"},model:{value:(_vm.userInfo.newpassword_2),callback:function ($$v) {_vm.$set(_vm.userInfo, "newpassword_2", $$v)},expression:"userInfo.newpassword_2"}})],1),_vm._v(" "),_c('div',{staticStyle:{"margin-top":"20px"},attrs:{"align":"center"}},[_c('van-button',{staticStyle:{"width":"93%","border-radius":"5px","font-size":"1.1rem","background":"rgb(233, 71, 71)","border":"none"},attrs:{"type":"info"},on:{"click":_vm.resetPassword}},[_vm._v("确定重置\n    ")])],1),_vm._v(" "),_c('div',{staticStyle:{"margin-top":"10px","width":"100%","text-align":"center","font-size":"14px","color":"#888888"}},[_c('van-row',{attrs:{"type":"flex","justify":"space-between"}},[_c('van-col',{attrs:{"span":"6"}},[_c('span',{on:{"click":_vm.forgetLoginId}},[_vm._v("用户名找回")])])],1)],1),_vm._v(" "),_c('van-dialog',{staticStyle:{"width":"318px","height":"auto"},attrs:{"confirmButtonText":"返回"},on:{"confirm":function($event){return _vm.modifyPasswordSuccess()}},model:{value:(_vm.show),callback:function ($$v) {_vm.show=$$v},expression:"show"}},[_c('div',{staticStyle:{"text-align":"center","padding":"10px"}},[_c('img',{staticClass:"imgClass",attrs:{"src":__webpack_require__("5N0g")}})]),_vm._v(" "),_c('div',{staticStyle:{"text-align":"center","padding":"10px"}},[_vm._v("重置密码成功！")])])],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var part_forgetPassword_forgetPassword = (esExports);
// CONCATENATED MODULE: ./src/mzbAPP/personal/part/forgetPassword/forgetPassword.vue
function injectStyle (ssrContext) {
  __webpack_require__("qiCJ")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-7a8681cc"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  forgetPassword_forgetPassword,
  part_forgetPassword_forgetPassword,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var personal_part_forgetPassword_forgetPassword = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "qiCJ":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=40.f20cb67bfad3665a666b.js.map