webpackJsonp([74],{

/***/ "H9X0":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./src/common/components/header/headDetailInfo.vue + 3 modules
var headDetailInfo = __webpack_require__("qJ40");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/json/stringify.js
var stringify = __webpack_require__("mvHQ");
var stringify_default = /*#__PURE__*/__webpack_require__.n(stringify);

// CONCATENATED MODULE: ./src/store/actions.js

/**
 * 存储loaclStorage
 */
var actions_setStore = function setStore(name, content) {
  if (!name) return;
  if (typeof content !== 'string') {
    content = stringify_default()(content);
  }
  window.localStorage.setItem(name, content);
};

var getStore = function getStore(name) {
  if (!name) return;
  return window.localStorage.getItem(name);
};

var removeStore = function removeStore(name) {
  if (!name) return;
  window.localStorage.removeItem(name);
};
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/setUp.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var setUp = ({
  name: "setUp",
  components: {
    headDetailInfo: headDetailInfo["a" /* default */]
  },
  data: function data() {
    return {
      title: '设置',
      leftarrow: true,
      clearhc: '', //缓存
      flag1: true,
      flag2: false,
      checked: '1',
      version: 'V1.0.1',
      showLogOut: false,
      auths: {},
      aweixin: null

    };
  },
  mounted: function mounted() {
    if (getStore("checked") == '' || getStore("checked") == undefined) {
      this.checked = '1';
    } else {
      this.checked = getStore("checked");
    }
    var user = getStore('userinfo');
    if (user != null) {
      this.showLogOut = true;
    } else {
      this.showLogOut = false;
    }
    this.changeSwitch(this.checked);
    var item = 0;
    var size = 0;
    for (item in window.localStorage) {
      if (window.localStorage.hasOwnProperty(item)) {
        if (item == 'avatar' || item == 'token' || item == 'userinfo' || item == 'checked' || item == 'areacode' || item == 'areaname' || item == 'codePath' || item == 'BMap_othersearch_vdkdbf' || item == 'BMap_scommon_urfqpa') {} else {
          size += window.localStorage.getItem(item).length;
        }
      }
    }
    if (size > 1024) {
      this.clearhc = (size / 1024).toFixed(2) + 'MB';
    } else {
      this.clearhc = size.toFixed(2) + 'KB';
    }
    this.$forceUpdate();
  },

  methods: {
    toYszc: function toYszc() {
      var url = 'https://zwfw.mca.gov.cn/apps/file/yszc.html';
      var webview = plus.webview.open(url);
      webview.setStyle({
        top: '0',
        bottom: '0',
        titleNView: {
          'backgroundColor': '#e94747',
          'titleText': '隐私协议政策',
          'titleColor': '#fff',
          'height': '46px',
          'style': 'transparent',
          buttons: [{
            type: 'back', float: 'left', onclick: function onclick(e) {
              webview.canBack(function (e) {
                if (e.canBack) {
                  webview.back();
                } else {
                  webview.close();
                }
              });
            }
          }]
        }
      });
      webview.addEventListener('titleUpdate', function () {
        webview.show();
      });
    },
    changeSwitch: function changeSwitch(val) {
      var _this = this;

      this.checked = val;
      actions_setStore("checked", val);
      this.resetSetItem('watchStorage', val);
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/businessNewsInfo/goBack', qs.stringify({
        'val': val
      })).then(function (result) {
        if (result.data.errors.length == 0) {
          // this.businesslist = result.data.data.businesslist;
        } else {
          _this.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {
        console.log(e);
      });
    },
    goBack: function goBack(val) {
      var _this2 = this;

      var qs = __webpack_require__("mw3O");
      actions_setStore("checked", val);
      this.checked = val;
      this.$axios.post('/businessNewsInfo/goBack', qs.stringify({
        'val': val
      })).then(function (result) {
        if (result.data.errors.length == 0) {
          // this.businesslist = result.data.data.businesslist;
        } else {
          _this2.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {
        console.log(e);
      });
    },
    clearHC: function clearHC() {
      var item = 0;
      for (item in window.localStorage) {
        if (window.localStorage.hasOwnProperty(item)) {
          if (item == 'avatar' || item == 'token' || item == 'userinfo' || item == 'checked' || item == 'areacode' || item == 'areaname' || item == 'codePath' || item == 'BMap_othersearch_vdkdbf' || item == 'BMap_scommon_urfqpa' || item == 'appMounted' || item == 'namePath') {} else {
            Object(mUtils["removeStore"])(item);
          }
        }
      }
      this.clearhc = '0.00KB';
    },
    logaa: function logaa() {
      this.$router.push({ path: '/login' });
    },
    destoryUser: function destoryUser() {
      var _this3 = this;

      var self = this;
      var user = getStore('userinfo');
      if (user != null) {
        user = JSON.parse(user);
        var vo = {
          'userid': user.userId, 'accountType': user.field01
        };
        this.$dialog.confirm({
          title: '注销账号',
          message: '注销后您将无法办理民政一体化政务服务平台提供的相关服务'
        }).then(function () {
          var qs = __webpack_require__("mw3O");
          _this3.$axios.post('/personal/destoryAccount', qs.stringify(vo)).then(function (result) {
            self.$toast('注销成功');
            Object(mUtils["removeStore"])('userinfo');
            Object(mUtils["removeStore"])('curuser');
            Object(mUtils["removeStore"])('avatar');
            self.$router.push({ path: '/mainpage' });
          });
        }).catch(function () {});
      } else {
        this.$dialog.confirm({
          message: '请登录'
        }).then(function () {
          _this3.$router.push({ path: '/login' });
        }).catch(function () {
          _this3.$router.push({ path: '/personal' });
        });
      }
    },
    share: function share() {
      window.plugins.socialsharing.share('这是一条分享信息');
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/setUp.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var part_setUp = ({
  name: "setUp",
  components: {
    headDetailInfo: headDetailInfo["a" /* default */]
  },
  data: function data() {
    return {
      title: '设置',
      leftarrow: true,
      clearhc: '', //缓存
      flag1: true,
      flag2: false,
      checked: '1',
      version: 'V1.0.1',
      showLogOut: false,
      auths: {},
      aweixin: null

    };
  },
  mounted: function mounted() {
    if (getStore("checked") == '' || getStore("checked") == undefined) {
      this.checked = '1';
    } else {
      this.checked = getStore("checked");
    }
    var user = getStore('userinfo');
    if (user != null) {
      this.showLogOut = true;
    } else {
      this.showLogOut = false;
    }
    this.changeSwitch(this.checked);
    var item = 0;
    var size = 0;
    for (item in window.localStorage) {
      if (window.localStorage.hasOwnProperty(item)) {
        if (item == 'avatar' || item == 'token' || item == 'userinfo' || item == 'checked' || item == 'areacode' || item == 'areaname' || item == 'codePath' || item == 'BMap_othersearch_vdkdbf' || item == 'BMap_scommon_urfqpa') {} else {
          size += window.localStorage.getItem(item).length;
        }
      }
    }
    if (size > 1024) {
      this.clearhc = (size / 1024).toFixed(2) + 'MB';
    } else {
      this.clearhc = size.toFixed(2) + 'KB';
    }
    this.$forceUpdate();
  },

  methods: {
    toYszc: function toYszc() {
      var url = 'https://zwfw.mca.gov.cn/apps/file/yszc.html';
      var webview = plus.webview.open(url);
      webview.setStyle({
        top: '0',
        bottom: '0',
        titleNView: {
          'backgroundColor': '#e94747',
          'titleText': '隐私协议政策',
          'titleColor': '#fff',
          'height': '46px',
          'style': 'transparent',
          buttons: [{
            type: 'back', float: 'left', onclick: function onclick(e) {
              webview.canBack(function (e) {
                if (e.canBack) {
                  webview.back();
                } else {
                  webview.close();
                }
              });
            }
          }]
        }
      });
      webview.addEventListener('titleUpdate', function () {
        webview.show();
      });
    },
    changeSwitch: function changeSwitch(val) {
      var _this = this;

      this.checked = val;
      actions_setStore("checked", val);
      this.resetSetItem('watchStorage', val);
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/businessNewsInfo/goBack', qs.stringify({
        'val': val
      })).then(function (result) {
        if (result.data.errors.length == 0) {
          // this.businesslist = result.data.data.businesslist;
        } else {
          _this.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {
        console.log(e);
      });
    },
    goBack: function goBack(val) {
      var _this2 = this;

      var qs = __webpack_require__("mw3O");
      actions_setStore("checked", val);
      this.checked = val;
      this.$axios.post('/businessNewsInfo/goBack', qs.stringify({
        'val': val
      })).then(function (result) {
        if (result.data.errors.length == 0) {
          // this.businesslist = result.data.data.businesslist;
        } else {
          _this2.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {
        console.log(e);
      });
    },
    clearHC: function clearHC() {
      var item = 0;
      for (item in window.localStorage) {
        if (window.localStorage.hasOwnProperty(item)) {
          if (item == 'avatar' || item == 'token' || item == 'userinfo' || item == 'checked' || item == 'areacode' || item == 'areaname' || item == 'codePath' || item == 'BMap_othersearch_vdkdbf' || item == 'BMap_scommon_urfqpa' || item == 'appMounted' || item == 'namePath') {} else {
            Object(mUtils["removeStore"])(item);
          }
        }
      }
      this.clearhc = '0.00KB';
    },
    logaa: function logaa() {
      this.$router.push({ path: '/login' });
    },
    destoryUser: function destoryUser() {
      var _this3 = this;

      var self = this;
      var user = getStore('userinfo');
      if (user != null) {
        user = JSON.parse(user);
        var vo = {
          'userid': user.userId, 'accountType': user.field01
        };
        this.$dialog.confirm({
          title: '注销账号',
          message: '注销后您将无法办理民政一体化政务服务平台提供的相关服务'
        }).then(function () {
          var qs = __webpack_require__("mw3O");
          _this3.$axios.post('/personal/destoryAccount', qs.stringify(vo)).then(function (result) {
            self.$toast('注销成功');
            Object(mUtils["removeStore"])('userinfo');
            Object(mUtils["removeStore"])('curuser');
            Object(mUtils["removeStore"])('avatar');
            self.$router.push({ path: '/mainpage' });
          });
        }).catch(function () {});
      } else {
        this.$dialog.confirm({
          message: '请登录'
        }).then(function () {
          _this3.$router.push({ path: '/login' });
        }).catch(function () {
          _this3.$router.push({ path: '/personal' });
        });
      }
    },
    share: function share() {
      window.plugins.socialsharing.share('这是一条分享信息');
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-1aa4a66b","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/mzbAPP/personal/part/setUp.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"setUp"},[_c('head-detail-info',{attrs:{"title":_vm.title,"leftarrow":_vm.leftarrow}}),_vm._v(" "),_c('div',{staticStyle:{"margin-top":"46px"}},[_c('div',{staticClass:"divclass"},[_c('van-cell',{staticClass:"cellFont",attrs:{"title":"清除缓存","value":_vm.clearhc},on:{"click":_vm.clearHC}})],1),_vm._v(" "),_c('div',{staticClass:"divclass"},[_c('van-cell',{staticClass:"cellFont",attrs:{"title":"关于我们","is-link":"","to":"forus"}})],1),_vm._v(" "),_c('div',{staticClass:"divclass"},[_c('van-cell',{staticClass:"cellFont",attrs:{"title":"隐私政策","is-link":""},on:{"click":_vm.toYszc}})],1),_vm._v(" "),_c('div',{staticClass:"divclass",staticStyle:{"margin-top":"20px"}},[_c('van-cell',{staticClass:"cellFont",attrs:{"title":"软件版本","value":_vm.version}})],1),_vm._v(" "),(_vm.showLogOut)?_c('div',{staticStyle:{"margin-top":"20px","color":"rgb(233, 71, 71)","background-color":"#ffffff","font-size":"18px","height":"55px","line-height":"55px","text-align":"center"},on:{"click":_vm.destoryUser}},[_vm._v("\n      注销账号\n    ")]):_vm._e()])],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var personal_part_setUp = (esExports);
// CONCATENATED MODULE: ./src/mzbAPP/personal/part/setUp.vue
function injectStyle (ssrContext) {
  __webpack_require__("vvh8")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-1aa4a66b"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  part_setUp,
  personal_part_setUp,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var mzbAPP_personal_part_setUp = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "vvh8":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=74.beae91bc38d2194290ff.js.map