webpackJsonp([76],{

/***/ "4uyh":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./src/common/components/header/headDetail.vue + 3 modules
var headDetail = __webpack_require__("Djmk");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/common/components/areaTree/areaTree.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var areaTree = ({
  name: "areaTree",
  components: {
    headDetail: headDetail["a" /* default */]
  },
  data: function data() {
    return {
      list: [],
      citylist: [],
      streetlist: [],
      activeId: '',
      title: '',
      goBack: true,
      activeName: '1',
      show: false,
      cityFlag: false,
      streetFlag: false,
      clientHeight: '',
      index1: -1,
      index2: -1,
      index3: -1,
      areaname: '',
      areacode: '',
      codePath: '',
      userIndex: {}
    };
  },
  mounted: function mounted() {
    this.clientHeight = document.documentElement.clientHeight; // 屏幕高度
    window.onresize = function temp() {
      this.clientHeight = document.documentElement.clientHeight;
    };
    this.queryArea();
  },

  watch: {
    // 如果 `clientHeight` 发生改变，这个函数就会运行
    clientHeight: function clientHeight() {
      this.changeFixed(this.clientHeight);
    }
  },
  methods: {
    /**
     * 查询行政区划
     */
    queryArea: function queryArea() {
      var _this2 = this;

      var self = this;
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/areaCache/selectOne').then(function (result) {
        _this2.list = result.data.data.map.value;
        self.showUserSelect();
      }).catch(function (e) {});
    },
    changeFixed: function changeFixed(clientHeight) {//动态修改样式
      // this.$refs.area.style.height = clientHeight + 'px';
    },

    //选择省份、直辖市
    getcity: function getcity(val, index) {
      this.cityFlag = false;
      this.streetFlag = false;
      this.index1 = index;
      var userIndex = {
        index1: this.index1,
        index2: -1,
        index3: -1
        // setStore('userIndex',userIndex)
      };this.userIndex = userIndex;
      //动态处理style
      this.$refs["itemP.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
      //选中div增加背景
      this.$refs["itemP.code"][index].style.backgroundColor = '#eeeeee';
      this.$refs["itemP.code"][index].style.color = '#1e87d8';
      //根据选择的省份，匹配地市
      this.areaname = val.name;
      this.areacode = val.code;
      this.codePath = val.code;
      this.citylist = val.sub;
      this.cityFlag = true;
    },

    //选择地市
    getStreet: function getStreet(val, index) {
      this.index2 = index;
      var userIndex = {
        index1: this.index1,
        index2: this.index2,
        index3: -1
        // setStore('userIndex',userIndex)
      };this.userIndex = userIndex;
      //动态处理style
      this.$refs["citys.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
      //选中div增加背景
      this.$refs["citys.code"][index].style.backgroundColor = '#eeeeee';
      this.$refs["citys.code"][index].style.color = '#1e87d8';
      //根据选择的地市，匹配县区
      var _this = this;
      this.areaname = val.name;
      this.areacode = val.code;
      var codePath = this.list[this.index1].code + '/' + val.code;
      this.codePath = codePath;
      this.streetlist = val.sub;
      this.streetFlag = true;
      this.$refs["street.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
    },

    //选择县区
    checkAdd: function checkAdd(val, index) {
      this.index3 = index;
      var userIndex = {
        index1: this.index1,
        index2: this.index2,
        index3: this.index3
        // setStore('userIndex',userIndex)
      };this.userIndex = userIndex;
      //动态处理style
      this.$refs["street.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
      //选中div增加背景
      this.$refs["street.code"][index].style.backgroundColor = '#eeeeee';
      this.$refs["street.code"][index].style.color = '#1e87d8';
      this.areaname = val.name;
      this.areacode = val.code;
      var codePath = this.list[this.index1].code + '/' + this.citylist[this.index2].code + '/' + val.code;
      this.codePath = codePath;
    },
    showUserSelect: function showUserSelect() {
      var _this3 = this;

      var a = JSON.parse(Object(mUtils["getStore"])("userIndex"));
      if (a == null) {
        return false;
      }
      this.index1 = a.index1;
      this.index2 = a.index2;
      this.index3 = a.index3;
      if (this.index1 != -1) {
        this.$nextTick(function () {
          _this3.$refs["itemP.code"][_this3.index1].style.backgroundColor = '#eeeeee';
          _this3.$refs["itemP.code"][_this3.index1].style.color = '#1e87d8';
        });
        this.areaname = this.list[this.index1].name;
        this.areacode = this.list[this.index1].code;
        this.codePath = this.list[this.index1].code;
        this.citylist = this.list[this.index1].sub;
        this.cityFlag = true;
      } else {
        return false;
      }
      if (this.index2 != -1) {
        this.$nextTick(function () {
          _this3.$refs["citys.code"][_this3.index2].style.backgroundColor = '#eeeeee';
          _this3.$refs["citys.code"][_this3.index2].style.color = '#1e87d8';
        });
        this.areaname = this.citylist[this.index2].name;
        this.areacode = this.citylist[this.index2].code;
        this.codePath = this.list[this.index1].code + '/' + this.citylist[this.index2].code;
        this.streetlist = this.citylist[this.index2].sub;
        this.streetFlag = true;
      } else {
        return false;
      }
      if (this.index3 != -1) {
        this.$nextTick(function () {
          _this3.$refs["street.code"][_this3.index3].style.backgroundColor = '#eeeeee';
          _this3.$refs["street.code"][_this3.index3].style.color = '#1e87d8';
        });
        this.areaname = this.streetlist[this.index3].name;
        this.areacode = this.streetlist[this.index3].code;
        this.codePath = this.list[this.index1].code + '/' + this.citylist[this.index2].code + '/' + this.streetlist[this.index3].code;
      } else {
        return false;
      }
    },
    onClickRight: function onClickRight() {
      Object(mUtils["setStore"])('areaname', this.areaname); //区划名赋值
      Object(mUtils["setStore"])('areacode', this.areacode); //区划码赋值
      Object(mUtils["setStore"])('codePath', this.codePath);
      Object(mUtils["setStore"])('userIndex', this.userIndex);
      this.$router.push({ path: '/mainPage' });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/common/components/areaTree/areaTree.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var areaTree_areaTree = ({
  name: "areaTree",
  components: {
    headDetail: headDetail["a" /* default */]
  },
  data: function data() {
    return {
      list: [],
      citylist: [],
      streetlist: [],
      activeId: '',
      title: '',
      goBack: true,
      activeName: '1',
      show: false,
      cityFlag: false,
      streetFlag: false,
      clientHeight: '',
      index1: -1,
      index2: -1,
      index3: -1,
      areaname: '',
      areacode: '',
      codePath: '',
      userIndex: {}
    };
  },
  mounted: function mounted() {
    this.clientHeight = document.documentElement.clientHeight; // 屏幕高度
    window.onresize = function temp() {
      this.clientHeight = document.documentElement.clientHeight;
    };
    this.queryArea();
  },

  watch: {
    // 如果 `clientHeight` 发生改变，这个函数就会运行
    clientHeight: function clientHeight() {
      this.changeFixed(this.clientHeight);
    }
  },
  methods: {
    /**
     * 查询行政区划
     */
    queryArea: function queryArea() {
      var _this2 = this;

      var self = this;
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/areaCache/selectOne').then(function (result) {
        _this2.list = result.data.data.map.value;
        self.showUserSelect();
      }).catch(function (e) {});
    },
    changeFixed: function changeFixed(clientHeight) {//动态修改样式
      // this.$refs.area.style.height = clientHeight + 'px';
    },

    //选择省份、直辖市
    getcity: function getcity(val, index) {
      this.cityFlag = false;
      this.streetFlag = false;
      this.index1 = index;
      var userIndex = {
        index1: this.index1,
        index2: -1,
        index3: -1
        // setStore('userIndex',userIndex)
      };this.userIndex = userIndex;
      //动态处理style
      this.$refs["itemP.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
      //选中div增加背景
      this.$refs["itemP.code"][index].style.backgroundColor = '#eeeeee';
      this.$refs["itemP.code"][index].style.color = '#1e87d8';
      //根据选择的省份，匹配地市
      this.areaname = val.name;
      this.areacode = val.code;
      this.codePath = val.code;
      this.citylist = val.sub;
      this.cityFlag = true;
    },

    //选择地市
    getStreet: function getStreet(val, index) {
      this.index2 = index;
      var userIndex = {
        index1: this.index1,
        index2: this.index2,
        index3: -1
        // setStore('userIndex',userIndex)
      };this.userIndex = userIndex;
      //动态处理style
      this.$refs["citys.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
      //选中div增加背景
      this.$refs["citys.code"][index].style.backgroundColor = '#eeeeee';
      this.$refs["citys.code"][index].style.color = '#1e87d8';
      //根据选择的地市，匹配县区
      var _this = this;
      this.areaname = val.name;
      this.areacode = val.code;
      var codePath = this.list[this.index1].code + '/' + val.code;
      this.codePath = codePath;
      this.streetlist = val.sub;
      this.streetFlag = true;
      this.$refs["street.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
    },

    //选择县区
    checkAdd: function checkAdd(val, index) {
      this.index3 = index;
      var userIndex = {
        index1: this.index1,
        index2: this.index2,
        index3: this.index3
        // setStore('userIndex',userIndex)
      };this.userIndex = userIndex;
      //动态处理style
      this.$refs["street.code"].forEach(function (row) {
        row.style.backgroundColor = '';
        row.style.color = '';
      });
      //选中div增加背景
      this.$refs["street.code"][index].style.backgroundColor = '#eeeeee';
      this.$refs["street.code"][index].style.color = '#1e87d8';
      this.areaname = val.name;
      this.areacode = val.code;
      var codePath = this.list[this.index1].code + '/' + this.citylist[this.index2].code + '/' + val.code;
      this.codePath = codePath;
    },
    showUserSelect: function showUserSelect() {
      var _this3 = this;

      var a = JSON.parse(Object(mUtils["getStore"])("userIndex"));
      if (a == null) {
        return false;
      }
      this.index1 = a.index1;
      this.index2 = a.index2;
      this.index3 = a.index3;
      if (this.index1 != -1) {
        this.$nextTick(function () {
          _this3.$refs["itemP.code"][_this3.index1].style.backgroundColor = '#eeeeee';
          _this3.$refs["itemP.code"][_this3.index1].style.color = '#1e87d8';
        });
        this.areaname = this.list[this.index1].name;
        this.areacode = this.list[this.index1].code;
        this.codePath = this.list[this.index1].code;
        this.citylist = this.list[this.index1].sub;
        this.cityFlag = true;
      } else {
        return false;
      }
      if (this.index2 != -1) {
        this.$nextTick(function () {
          _this3.$refs["citys.code"][_this3.index2].style.backgroundColor = '#eeeeee';
          _this3.$refs["citys.code"][_this3.index2].style.color = '#1e87d8';
        });
        this.areaname = this.citylist[this.index2].name;
        this.areacode = this.citylist[this.index2].code;
        this.codePath = this.list[this.index1].code + '/' + this.citylist[this.index2].code;
        this.streetlist = this.citylist[this.index2].sub;
        this.streetFlag = true;
      } else {
        return false;
      }
      if (this.index3 != -1) {
        this.$nextTick(function () {
          _this3.$refs["street.code"][_this3.index3].style.backgroundColor = '#eeeeee';
          _this3.$refs["street.code"][_this3.index3].style.color = '#1e87d8';
        });
        this.areaname = this.streetlist[this.index3].name;
        this.areacode = this.streetlist[this.index3].code;
        this.codePath = this.list[this.index1].code + '/' + this.citylist[this.index2].code + '/' + this.streetlist[this.index3].code;
      } else {
        return false;
      }
    },
    onClickRight: function onClickRight() {
      Object(mUtils["setStore"])('areaname', this.areaname); //区划名赋值
      Object(mUtils["setStore"])('areacode', this.areacode); //区划码赋值
      Object(mUtils["setStore"])('codePath', this.codePath);
      Object(mUtils["setStore"])('userIndex', this.userIndex);
      this.$router.push({ path: '/mainPage' });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-145efee6","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/common/components/areaTree/areaTree.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{ref:"area"},[_c('head-detail',{attrs:{"title":_vm.title,"leftarrow":_vm.goBack,"rightText":"确定"},on:{"onClickRight":_vm.onClickRight}}),_vm._v(" "),_c('div',{staticStyle:{"width":"100%","background-color":"#ffffff","position":"absolute","top":"46px","bottom":"0px"}}),_vm._v(" "),_c('div',{staticClass:"van-tree-select__nav"},_vm._l((_vm.list),function(itemP,index){return _c('div',{key:itemP.code,ref:"itemP.code",refInFor:true,staticStyle:{"line-height":"2.8rem","height":"2.8rem","font-size":"0.9rem","text-align":"center","overflow":"hidden"},on:{"click":function($event){return _vm.getcity(itemP,index)}}},[_vm._v("\n                "+_vm._s(itemP.name)+"\n            ")])}),0),_vm._v(" "),(_vm.cityFlag)?_c('div',{staticClass:"van-tree-select__nav1"},_vm._l((_vm.citylist),function(citys,index){return _c('div',{key:citys.code,ref:"citys.code",refInFor:true,staticStyle:{"line-height":"2.8rem","height":"2.8rem","font-size":"0.9rem","text-align":"center","overflow":"hidden"},on:{"click":function($event){return _vm.getStreet(citys,index)}}},[_vm._v("\n                "+_vm._s(citys.name)+"\n            ")])}),0):_vm._e(),_vm._v(" "),(_vm.streetFlag)?_c('div',{staticClass:"van-tree-select__nav2"},_vm._l((_vm.streetlist),function(street,index){return _c('div',{key:street.id,ref:"street.code",refInFor:true,staticStyle:{"line-height":"2.8rem","height":"2.8rem","font-size":"0.9rem","text-align":"center","overflow":"hidden"},on:{"click":function($event){return _vm.checkAdd(street,index)}}},[_vm._v("\n                "+_vm._s(street.name)+"\n            ")])}),0):_vm._e()],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var components_areaTree_areaTree = (esExports);
// CONCATENATED MODULE: ./src/common/components/areaTree/areaTree.vue
function injectStyle (ssrContext) {
  __webpack_require__("qtG+")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-145efee6"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  areaTree_areaTree,
  components_areaTree_areaTree,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var common_components_areaTree_areaTree = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "qtG+":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=76.9ebc7e487f2683de1960.js.map