webpackJsonp([28],{

/***/ "+z9h":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./src/common/components/header/headDetailInfo.vue + 3 modules
var headDetailInfo = __webpack_require__("qJ40");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/authentication/part/idAuthentication.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var idAuthentication = ({
  name: "idAuthentication",
  components: {
    headDetailInfo: headDetailInfo["a" /* default */]
  },
  mounted: function mounted() {
    // this.getUserInfo();
    // this.getAvatar();
    var user = JSON.parse(this.userinfo);
    this.perAuth.perName = user.name;
    this.perAuth.idNumber = user.certNo;
  },
  data: function data() {
    return {
      //页面组件默认
      title: '身份证号认证',
      leftarrow: true,
      userinfo: Object(mUtils["getStore"])('userinfo'),
      /* 验证信息表单数据 */
      perAuth: {
        perName: '', // 姓名
        idNumber: '', // 身份证号
        startDate: '', // 身份证起始日期
        endDate: '' // 身份证截至日期
      },
      /* 验证表单错误信息提示 */
      perErrorMes: {
        nameError: '',
        idError: '',
        startDateError: '',
        endDateError: ''
      },
      /* 日期选择器控件 */
      isShowPicker: false, // 默认不显示日期控件
      changeDate: '', // 日期控件的数据
      maxDate: new Date('3100-01-01'), // 身份证最大日期限制为 当前时间
      minDate: new Date('1900-01-01'), // 最小日期限制到1900-01-01
      switchDatePrick: '1', // 用于判断 开始或截至 的打开方式 1 为开始日期, 2 为截至日期
      radio: '10'
    };
  },

  methods: {
    // 身份证起始\截至日期 输入框 点击事件
    inputDate: function inputDate(val) {
      this.changeDate = new Date();
      this.isShowPicker = true;
      if (val == 'start') {
        this.switchDatePrick = '1';
        if (this.perAuth.startDate != '') {
          this.changeDate = new Date(this.perAuth.startDate);
        }
      } else if (val == 'end') {
        this.switchDatePrick = '2';
        if (this.perAuth.endDate != '') {
          this.changeDate = new Date(this.perAuth.endDate);
        }
      }
    },

    // 日期选择器 change事件
    dateChange: function dateChange(e) {
      if (this.switchDatePrick == '1') {
        // 设置开始日期
        this.perAuth.startDate = e.getValues().join('-');
      } else if (this.switchDatePrick == '2') {
        // 设置截至日期
        this.perAuth.endDate = e.getValues().join('-');
      }
    },

    // 日期选择器 关闭事件
    dateClose: function dateClose() {
      this.isShowPicker = false;
      if (this.perAuth.startDate != null && this.perAuth.startDate != '') {
        this.perioDate('10');
      }
    },

    //根据有效期更新结束时间
    perioDate: function perioDate(val) {
      this.perAuth.endDate = '';
      if (this.perAuth.startDate != null && this.perAuth.startDate != '') {
        if (val != '000') {
          //身份证有效期非长期有效
          var startInt = this.perAuth.startDate.split("-")[0];
          startInt = parseInt(startInt) + parseInt(val);
          if (val != '20') {
            //身份证有效期非20年，增加开始期限为 XXXX-02-29的处理
            var monthAndata = this.perAuth.startDate.substr(5, this.perAuth.startDate.length);
            if (monthAndata === '02-29') {
              //处理日期为2-28
              var endata = parseInt(this.perAuth.startDate.substr(this.perAuth.startDate.length - 2, this.perAuth.startDate.length));
              endata = endata - 1;
              console.log(this.perAuth.startDate.substr(4, 4));
              this.perAuth.endDate = String(startInt) + this.perAuth.startDate.substr(4, 4) + String(endata);
            } else {
              this.perAuth.endDate = String(startInt) + this.perAuth.startDate.substr(4, this.perAuth.startDate.length);
            }
          } else {
            this.perAuth.endDate = String(startInt) + this.perAuth.startDate.substr(4, this.perAuth.startDate.length);
          }
        } else {
          this.perAuth.endDate = '0000-00-00';
        }
      } else {
        this.radio = '';
        this.$toast('请先选择有效期开始时间');
      }
    },

    // 提交 事件
    goToAuthentication: function goToAuthentication() {
      var _this = this;

      var start = this.perAuth.startDate.split("-").join("");
      var end = this.perAuth.endDate.split("-").join("");
      if (this.radio != '000') {
        if (this.perAuth.startDate == '' || this.perAuth.endDate == '') {
          this.$toast('起始日期和截至日期不能为空');
          return false;
        }
        if (start >= end) {
          this.$toast('起始日期不能大于或等于截至日期');
          return false;
        }
      }
      this.$vux.loading.show({
        text: '请稍候'
      });
      var userInfo = JSON.parse(this.userinfo);
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/personal/identityLevelThree', qs.stringify({
        'userId': userInfo.userId,
        'idcardno': this.perAuth.idNumber,
        'name': this.perAuth.perName,
        'usefulTimeStart': this.perAuth.startDate,
        'usefulTimeEnd': this.perAuth.endDate,
        'token': Object(mUtils["getStore"])('token')
      })).then(function (result) {
        _this.$vux.loading.hide();
        if (result.data.code == '-1') {
          _this.$dialog.alert({
            message: '您的登录信息已过期'
          }).then(function () {
            // on close
            //清空本地缓存
            removeStore('userinfo');
            removeStore('curuser');
            removeStore('avatar');
            _this.$router.push({ path: '/login' });
          });
        } else {
          if (result.data.data.bizData.bizSuccess) {
            _this.$router.push({ name: 'nextAuthentication', query: { title: '身份证号认证' } });
          } else {
            _this.$toast(result.data.data.bizData);
          }
        }
      }).catch(function (e) {
        _this.$vux.loading.hide();
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/authentication/part/idAuthentication.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var part_idAuthentication = ({
  name: "idAuthentication",
  components: {
    headDetailInfo: headDetailInfo["a" /* default */]
  },
  mounted: function mounted() {
    // this.getUserInfo();
    // this.getAvatar();
    var user = JSON.parse(this.userinfo);
    this.perAuth.perName = user.name;
    this.perAuth.idNumber = user.certNo;
  },
  data: function data() {
    return {
      //页面组件默认
      title: '身份证号认证',
      leftarrow: true,
      userinfo: Object(mUtils["getStore"])('userinfo'),
      /* 验证信息表单数据 */
      perAuth: {
        perName: '', // 姓名
        idNumber: '', // 身份证号
        startDate: '', // 身份证起始日期
        endDate: '' // 身份证截至日期
      },
      /* 验证表单错误信息提示 */
      perErrorMes: {
        nameError: '',
        idError: '',
        startDateError: '',
        endDateError: ''
      },
      /* 日期选择器控件 */
      isShowPicker: false, // 默认不显示日期控件
      changeDate: '', // 日期控件的数据
      maxDate: new Date('3100-01-01'), // 身份证最大日期限制为 当前时间
      minDate: new Date('1900-01-01'), // 最小日期限制到1900-01-01
      switchDatePrick: '1', // 用于判断 开始或截至 的打开方式 1 为开始日期, 2 为截至日期
      radio: '10'
    };
  },

  methods: {
    // 身份证起始\截至日期 输入框 点击事件
    inputDate: function inputDate(val) {
      this.changeDate = new Date();
      this.isShowPicker = true;
      if (val == 'start') {
        this.switchDatePrick = '1';
        if (this.perAuth.startDate != '') {
          this.changeDate = new Date(this.perAuth.startDate);
        }
      } else if (val == 'end') {
        this.switchDatePrick = '2';
        if (this.perAuth.endDate != '') {
          this.changeDate = new Date(this.perAuth.endDate);
        }
      }
    },

    // 日期选择器 change事件
    dateChange: function dateChange(e) {
      if (this.switchDatePrick == '1') {
        // 设置开始日期
        this.perAuth.startDate = e.getValues().join('-');
      } else if (this.switchDatePrick == '2') {
        // 设置截至日期
        this.perAuth.endDate = e.getValues().join('-');
      }
    },

    // 日期选择器 关闭事件
    dateClose: function dateClose() {
      this.isShowPicker = false;
      if (this.perAuth.startDate != null && this.perAuth.startDate != '') {
        this.perioDate('10');
      }
    },

    //根据有效期更新结束时间
    perioDate: function perioDate(val) {
      this.perAuth.endDate = '';
      if (this.perAuth.startDate != null && this.perAuth.startDate != '') {
        if (val != '000') {
          //身份证有效期非长期有效
          var startInt = this.perAuth.startDate.split("-")[0];
          startInt = parseInt(startInt) + parseInt(val);
          if (val != '20') {
            //身份证有效期非20年，增加开始期限为 XXXX-02-29的处理
            var monthAndata = this.perAuth.startDate.substr(5, this.perAuth.startDate.length);
            if (monthAndata === '02-29') {
              //处理日期为2-28
              var endata = parseInt(this.perAuth.startDate.substr(this.perAuth.startDate.length - 2, this.perAuth.startDate.length));
              endata = endata - 1;
              console.log(this.perAuth.startDate.substr(4, 4));
              this.perAuth.endDate = String(startInt) + this.perAuth.startDate.substr(4, 4) + String(endata);
            } else {
              this.perAuth.endDate = String(startInt) + this.perAuth.startDate.substr(4, this.perAuth.startDate.length);
            }
          } else {
            this.perAuth.endDate = String(startInt) + this.perAuth.startDate.substr(4, this.perAuth.startDate.length);
          }
        } else {
          this.perAuth.endDate = '0000-00-00';
        }
      } else {
        this.radio = '';
        this.$toast('请先选择有效期开始时间');
      }
    },

    // 提交 事件
    goToAuthentication: function goToAuthentication() {
      var _this = this;

      var start = this.perAuth.startDate.split("-").join("");
      var end = this.perAuth.endDate.split("-").join("");
      if (this.radio != '000') {
        if (this.perAuth.startDate == '' || this.perAuth.endDate == '') {
          this.$toast('起始日期和截至日期不能为空');
          return false;
        }
        if (start >= end) {
          this.$toast('起始日期不能大于或等于截至日期');
          return false;
        }
      }
      this.$vux.loading.show({
        text: '请稍候'
      });
      var userInfo = JSON.parse(this.userinfo);
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/personal/identityLevelThree', qs.stringify({
        'userId': userInfo.userId,
        'idcardno': this.perAuth.idNumber,
        'name': this.perAuth.perName,
        'usefulTimeStart': this.perAuth.startDate,
        'usefulTimeEnd': this.perAuth.endDate,
        'token': Object(mUtils["getStore"])('token')
      })).then(function (result) {
        _this.$vux.loading.hide();
        if (result.data.code == '-1') {
          _this.$dialog.alert({
            message: '您的登录信息已过期'
          }).then(function () {
            // on close
            //清空本地缓存
            removeStore('userinfo');
            removeStore('curuser');
            removeStore('avatar');
            _this.$router.push({ path: '/login' });
          });
        } else {
          if (result.data.data.bizData.bizSuccess) {
            _this.$router.push({ name: 'nextAuthentication', query: { title: '身份证号认证' } });
          } else {
            _this.$toast(result.data.data.bizData);
          }
        }
      }).catch(function (e) {
        _this.$vux.loading.hide();
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-d7775de6","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/mzbAPP/personal/part/authentication/part/idAuthentication.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('head-detail-info',{attrs:{"title":_vm.title,"leftarrow":_vm.leftarrow}}),_vm._v(" "),_c('div',{staticStyle:{"position":"absolute","top":"0","bottom":"0","width":"100%","height":"100%","background":"#fff"}},[_c('div',{staticStyle:{"margin-top":"3rem"}},[_c('div',{staticStyle:{"background-color":"#ffffff"}},[_c('van-cell-group',[_c('van-field',{attrs:{"label":"姓名","size":"large","clearable":"","placeholder":"输入真实姓名","input-align":"left","disabled":"","error-message":_vm.perErrorMes.nameError},model:{value:(_vm.perAuth.perName),callback:function ($$v) {_vm.$set(_vm.perAuth, "perName", $$v)},expression:"perAuth.perName"}})],1)],1),_vm._v(" "),_c('div',{staticStyle:{"background-color":"#ffffff"}},[_c('van-cell-group',[_c('van-field',{attrs:{"label":"身份证号","size":"large","clearable":"","placeholder":"输入身份证号","input-align":"left","disabled":""},model:{value:(_vm.perAuth.idNumber),callback:function ($$v) {_vm.$set(_vm.perAuth, "idNumber", $$v)},expression:"perAuth.idNumber"}})],1)],1),_vm._v(" "),_c('div',[_c('van-cell-group',{on:{"click":function($event){return _vm.inputDate('start')}}},[_c('van-field',{attrs:{"label":"有效期起","size":"large","placeholder":"输入身份证起始日期","input-align":"left","disabled":"","error-message":_vm.perErrorMes.startDateError},model:{value:(_vm.perAuth.startDate),callback:function ($$v) {_vm.$set(_vm.perAuth, "startDate", $$v)},expression:"perAuth.startDate"}},[_c('template',{slot:"right-icon"},[_c('div',{staticClass:"custom-icon"})])],2)],1)],1),_vm._v(" "),_c('div',[_c('van-cell-group',{on:{"click":function($event){return _vm.inputDate('end')}}},[_c('van-field',{attrs:{"label":"有效期止","size":"large","placeholder":"输入身份证截至日期","input-align":"left","disabled":"","error-message":_vm.perErrorMes.endDateError},model:{value:(_vm.perAuth.endDate),callback:function ($$v) {_vm.$set(_vm.perAuth, "endDate", $$v)},expression:"perAuth.endDate"}},[_c('template',{slot:"right-icon"},[_c('div',{staticClass:"custom-icon"})])],2)],1)],1),_vm._v(" "),_c('div',{staticStyle:{"height":"2.5rem","width":"100%","margin-top":".8rem"}},[_c('div',{staticStyle:{"width":"20%","float":"left","margin-left":"15px"}},[_vm._v("有效年限")]),_vm._v(" "),_c('div',{staticStyle:{"width":"75%","float":"left"}},[_c('van-radio-group',{on:{"change":_vm.perioDate},model:{value:(_vm.radio),callback:function ($$v) {_vm.radio=$$v},expression:"radio"}},[_c('van-radio',{staticStyle:{"width":"25%","float":"left"},attrs:{"name":"5","checked-color":"#07c160","shape":"square"}},[_vm._v("5年")]),_vm._v(" "),_c('van-radio',{staticStyle:{"width":"25%","float":"left"},attrs:{"name":"10","checked-color":"#07c160","shape":"square"}},[_vm._v("10年")]),_vm._v(" "),_c('van-radio',{staticStyle:{"width":"25%","float":"left"},attrs:{"name":"20","checked-color":"#07c160","shape":"square"}},[_vm._v("20年")]),_vm._v(" "),_c('van-radio',{staticStyle:{"width":"25%","float":"left"},attrs:{"name":"000","checked-color":"#07c160","shape":"square"}},[_vm._v("长期")])],1)],1)])]),_vm._v(" "),_c('div',{staticStyle:{"margin-top":"25px","width":"90%","text-align":"center","margin-left":"5%"}},[_c('van-button',{staticStyle:{"border-radius":"5px","font-size":"18px","background":"#e94747","border":"none"},attrs:{"type":"info","size":"large"},on:{"click":function($event){return _vm.goToAuthentication()}}},[_vm._v("认证\n            ")])],1),_vm._v(" "),_c('van-popup',{attrs:{"position":"bottom"},model:{value:(_vm.isShowPicker),callback:function ($$v) {_vm.isShowPicker=$$v},expression:"isShowPicker"}},[_c('van-datetime-picker',{attrs:{"type":"date","min-date":_vm.minDate,"max-date":_vm.maxDate},on:{"change":_vm.dateChange,"confirm":_vm.dateClose,"cancel":_vm.dateClose},model:{value:(_vm.changeDate),callback:function ($$v) {_vm.changeDate=$$v},expression:"changeDate"}})],1)],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var authentication_part_idAuthentication = (esExports);
// CONCATENATED MODULE: ./src/mzbAPP/personal/part/authentication/part/idAuthentication.vue
function injectStyle (ssrContext) {
  __webpack_require__("wo65")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  part_idAuthentication,
  authentication_part_idAuthentication,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var part_authentication_part_idAuthentication = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "wo65":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=28.2351233ffbc4d5b2a857.js.map