webpackJsonp([52],{

/***/ "2bAn":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./src/common/components/header/headDetail.vue + 3 modules
var headDetail = __webpack_require__("Djmk");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/workOnline/part/comment.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var comment = ({
  name: "comment",
  components: {
    headDetail: headDetail["a" /* default */]
  },
  data: function data() {
    return {
      starValue: 0,
      title: '我要评价',
      textArea: '',
      autosize: { minHeight: 150 },
      leftarrow: true,
      textareaLength: 140,
      appInfo: null, //应用详细信息
      userinfo: null,
      checked: false,
      checkboxValue: 0,
      clientHeight: ''
    };
  },
  mounted: function mounted() {
    this.clientHeight = document.documentElement.clientHeight; // 屏幕高度
    window.onresize = function temp() {
      this.clientHeight = document.documentElement.clientHeight;
    };
  },

  watch: {
    // 如果 `clientHeight` 发生改变，这个函数就会运行
    clientHeight: function clientHeight() {
      this.changeFixed(this.clientHeight);
    }
  },
  methods: {
    changeFixed: function changeFixed(clientHeight) {
      //动态修改样式
      this.$refs.homePage.style.height = clientHeight + 'px';
    },
    textareaInput: function textareaInput() {
      this.textareaLength = 140 - this.textArea.length;
    },
    clickComment: function clickComment() {
      var _this = this;

      if (this.starValue == 0) {
        this.$toast.fail('请评定星级');
        return false;
      }
      if (this.textArea == null || this.textArea == '') {
        this.$toast.fail('请输入评论');
        return false;
      }
      //判断登录状态
      this.userinfo = JSON.parse(Object(mUtils["getStore"])('userinfo'));
      this.appInfo = JSON.parse(Object(mUtils["getStore"])('appDetail'));
      if (this.userinfo != null) {
        var qs = __webpack_require__("mw3O");
        this.$axios.post('/applicationOperation/comment', qs.stringify({ "azjx1507": this.checkboxValue, "userid": this.userinfo.userId, "loginId": this.userinfo.name, "azkx9001": this.appInfo.azkx9001, "azjx1508": this.appInfo.azkx9011, "azjx1509": "2", "azjx1503": this.starValue, "azjx1502": this.textArea, "azjx1504": "2", 'token': Object(mUtils["getStore"])('token') })).then(function (result) {
          if (result.data.code != '-1') {
            if (result.data.errors.length == 0) {
              _this.$toast.success('评论成功');
              _this.$router.go(-1);
            } else {
              _this.$toast(result.data.errors[0].msg);
            }
          } else {
            Object(mUtils["removeStore"])('userinfo');
            Object(mUtils["removeStore"])('curuser');
            Object(mUtils["removeStore"])('avatar');
            _this.$toast('评论失败');
          }
        }).catch(function (e) {});
      } else {
        this.$toast('请先登录');
        this.$router.push({ path: '/login' });
      }
    },
    changeCheckbox: function changeCheckbox(value) {
      //判断是否匿名
      if (value = true) {
        //匿名
        this.checkboxValue = 1;
      } else {
        //正常
        this.checkboxValue = 0;
      }
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/workOnline/part/comment.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var part_comment = ({
  name: "comment",
  components: {
    headDetail: headDetail["a" /* default */]
  },
  data: function data() {
    return {
      starValue: 0,
      title: '我要评价',
      textArea: '',
      autosize: { minHeight: 150 },
      leftarrow: true,
      textareaLength: 140,
      appInfo: null, //应用详细信息
      userinfo: null,
      checked: false,
      checkboxValue: 0,
      clientHeight: ''
    };
  },
  mounted: function mounted() {
    this.clientHeight = document.documentElement.clientHeight; // 屏幕高度
    window.onresize = function temp() {
      this.clientHeight = document.documentElement.clientHeight;
    };
  },

  watch: {
    // 如果 `clientHeight` 发生改变，这个函数就会运行
    clientHeight: function clientHeight() {
      this.changeFixed(this.clientHeight);
    }
  },
  methods: {
    changeFixed: function changeFixed(clientHeight) {
      //动态修改样式
      this.$refs.homePage.style.height = clientHeight + 'px';
    },
    textareaInput: function textareaInput() {
      this.textareaLength = 140 - this.textArea.length;
    },
    clickComment: function clickComment() {
      var _this = this;

      if (this.starValue == 0) {
        this.$toast.fail('请评定星级');
        return false;
      }
      if (this.textArea == null || this.textArea == '') {
        this.$toast.fail('请输入评论');
        return false;
      }
      //判断登录状态
      this.userinfo = JSON.parse(Object(mUtils["getStore"])('userinfo'));
      this.appInfo = JSON.parse(Object(mUtils["getStore"])('appDetail'));
      if (this.userinfo != null) {
        var qs = __webpack_require__("mw3O");
        this.$axios.post('/applicationOperation/comment', qs.stringify({ "azjx1507": this.checkboxValue, "userid": this.userinfo.userId, "loginId": this.userinfo.name, "azkx9001": this.appInfo.azkx9001, "azjx1508": this.appInfo.azkx9011, "azjx1509": "2", "azjx1503": this.starValue, "azjx1502": this.textArea, "azjx1504": "2", 'token': Object(mUtils["getStore"])('token') })).then(function (result) {
          if (result.data.code != '-1') {
            if (result.data.errors.length == 0) {
              _this.$toast.success('评论成功');
              _this.$router.go(-1);
            } else {
              _this.$toast(result.data.errors[0].msg);
            }
          } else {
            Object(mUtils["removeStore"])('userinfo');
            Object(mUtils["removeStore"])('curuser');
            Object(mUtils["removeStore"])('avatar');
            _this.$toast('评论失败');
          }
        }).catch(function (e) {});
      } else {
        this.$toast('请先登录');
        this.$router.push({ path: '/login' });
      }
    },
    changeCheckbox: function changeCheckbox(value) {
      //判断是否匿名
      if (value = true) {
        //匿名
        this.checkboxValue = 1;
      } else {
        //正常
        this.checkboxValue = 0;
      }
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-579855a6","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/mzbAPP/workOnline/part/comment.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{ref:"homePage",staticClass:"bodyDivClass",attrs:{"align":"center"}},[_c('head-detail',{attrs:{"title":_vm.title,"leftarrow":_vm.leftarrow}}),_vm._v(" "),_c('div',{staticClass:"rateDivClass",attrs:{"align":"center"}},[_c('van-rate',{attrs:{"size":35,"color":"orange","void-color":"orange","allow-half":""},model:{value:(_vm.starValue),callback:function ($$v) {_vm.starValue=$$v},expression:"starValue"}}),_vm._v(" "),_c('span',{staticClass:"rateSpanClass"},[_vm._v("点触星星评分")])],1),_vm._v(" "),_c('div',{staticClass:"textareaClass"},[_c('van-field',{staticClass:"commentFieldClass",attrs:{"type":"textarea","maxlength":"140","autosize":_vm.autosize,"placeholder":"请留下您对本应用的宝贵意见"},on:{"input":_vm.textareaInput},model:{value:(_vm.textArea),callback:function ($$v) {_vm.textArea=$$v},expression:"textArea"}})],1),_vm._v(" "),_c('div',{staticClass:"spanDivClass"},[_c('div',{staticClass:"spanInnerDivClass",attrs:{"align":"left"}},[_c('van-checkbox',{attrs:{"checkboxValue":_vm.checkboxValue},on:{"change":_vm.changeCheckbox},model:{value:(_vm.checked),callback:function ($$v) {_vm.checked=$$v},expression:"checked"}},[_vm._v("匿名评论")])],1),_vm._v(" "),_c('div',{staticClass:"spanInnerDivClass",attrs:{"align":"right"}},[_c('span',{staticClass:"spanClass"},[_vm._v("还可以输入"+_vm._s(_vm.textareaLength)+"字")])])]),_vm._v(" "),_c('div',{staticClass:"buttonDivClass",attrs:{"align":"center"}},[_c('van-button',{staticStyle:{"width":"60%","height":"40px","background-color":"rgb(233, 71, 71)","border":"1px solid rgb(233, 71, 71)","border-radius":"0.4rem","font-size":"1rem","line-height":"20px"},attrs:{"type":"info"},on:{"click":_vm.clickComment}},[_vm._v("发布评论")])],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var workOnline_part_comment = (esExports);
// CONCATENATED MODULE: ./src/mzbAPP/workOnline/part/comment.vue
function injectStyle (ssrContext) {
  __webpack_require__("5rSa")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-579855a6"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  part_comment,
  workOnline_part_comment,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var mzbAPP_workOnline_part_comment = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "5rSa":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=52.f1b540c1f3f62f9d1eb6.js.map