webpackJsonp([54],{

/***/ "PUvT":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./src/common/components/loadMore/loadMore.vue + 3 modules
var loadMore = __webpack_require__("WBsb");

// EXTERNAL MODULE: ./src/common/components/loadMore/dropDownRefresh.vue + 3 modules
var dropDownRefresh = __webpack_require__("vrxw");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/mainPage/part/policy.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var policy = ({
  name: "policy",
  components: {
    "v-reload": loadMore["a" /* default */], "v-refresh": dropDownRefresh["a" /* default */]
  },
  data: function data() {
    return {
      title: '政策法规',
      leftarrow: true,
      pageNumber: 1,
      pageSize: 10,
      total: 0,
      pages: 0,
      show: false,
      show1: true,
      // 上拉加载的设置
      infiniteLoadData: {
        pullUpState: 1, // 子组件的pullUpState状态
        pullUpList: [] // 上拉加载更多数据的数组
      },
      text: '',
      zjx16Vo: {}
    };
  },
  mounted: function mounted() {
    this.queryPolicy();
  },

  methods: {
    queryPolicy: function queryPolicy() {
      var _this = this;

      this.pageNumber = 1;
      var qs = __webpack_require__("mw3O");
      var pageparam = {};
      pageparam.pageNumber = 1;
      pageparam.pageSize = this.pageSize;
      pageparam.type = '1';
      var _param = qs.stringify(pageparam);
      var url = '/policy/queryPolicyDetail';
      this.$axios.post(url, _param).then(function (result) {
        if (result.data.errors.length == 0) {
          if (result.data.data.pageBean.list.length > 0) {
            _this.infiniteLoadData.pullUpList = result.data.data.pageBean.list;
            _this.total = result.data.data.pageBean.total; //总数
            _this.pages = result.data.data.pageBean.pages; //总数
            if (_this.pages == 1) {
              _this.infiniteLoadData.pullUpState = 3;
            }
            Object(mUtils["setStore"])('newslist', result.data.data.pageBean.list);
          } else {
            _this.show = true;
            _this.show1 = false;
          }
          if (JSON.parse(Object(mUtils["getStore"])('userinfo')) != null) {
            _this.queryStatus();
          }
        } else {
          _this.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {});
    },
    toPolicy: function toPolicy(val) {
      this.$router.push({ path: '/policyDetail', query: { 'newsinfo': val } });
    },

    //更多数据
    getPullUpMoreData: function getPullUpMoreData() {
      var _this2 = this;

      this.pageNumber = this.pageNumber + 1;
      if (this.pageNumber > this.pages) {
        return false;
      }
      var qs = __webpack_require__("mw3O");
      var newsInfo = {};
      newsInfo.azkx1015 = '1';
      var pageparam = {};
      pageparam.pageNumber = this.pageNumber;
      pageparam.pageSize = this.pageSize;
      pageparam.type = '1';
      var _param = qs.stringify(pageparam);
      var url = '/policy/queryPolicyDetail';
      this.$axios.post(url, _param).then(function (result) {
        if (result.data.errors.length == 0) {
          _this2.infiniteLoadData.pullUpList = _this2.infiniteLoadData.pullUpList.concat(result.data.data.pageBean.list);
          // setStore('newslist',this.infiniteLoadData.pullUpList);
          if (_this2.pageNumber == _this2.pages) {
            _this2.infiniteLoadData.pullUpState = 3;
          } else {
            _this2.infiniteLoadData.pullUpState = 1;
          }
        } else {
          _this2.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {});
    },

    // 上拉加载
    onInfiniteLoad: function onInfiniteLoad(done) {
      if (this.infiniteLoadData.pullUpState === 1) {
        this.getPullUpMoreData();
      }
      done();
    },
    onRefresh: function onRefresh(done) {
      var _this3 = this;

      this.queryNews();
      this.infiniteLoadData.pullUpState = 1;
      done();
      this.$nextTick(function () {
        _this3.div.item(0).style.height = 22 + 'px';
      });
    },

    //跳转回前一页面
    onClickLeft: function onClickLeft() {
      this.$router.go(-1);
    },

    //订阅
    subscribe: function subscribe() {
      var _this4 = this;

      var that = this;
      var qs = __webpack_require__("mw3O");
      var userinfo = JSON.parse(Object(mUtils["getStore"])('userinfo'));
      var pageparam = {};
      if (this.text == '订阅') {
        pageparam.userId = userinfo.userId;
        pageparam.azjx1601 = that.zjx16Vo.azjx1601;
        pageparam.azjx1602 = '01';
        pageparam.azjx1604 = '1';
        var _param = qs.stringify(pageparam);
        var url = '/policy/subscribePolicy';
        this.$axios.post(url, _param).then(function (res) {
          if (res.data.data.msg) {
            _this4.$toast('订阅成功');
            that.text = '已订阅';
            that.queryStatus();
          } else {
            _this4.$toast('订阅失败');
          }
        });
      } else {
        pageparam.azjx1601 = that.zjx16Vo.azjx1601;
        var _param2 = qs.stringify(pageparam);
        var _url = '/policy/cancelSubscribePolicy';
        this.$axios.post(_url, _param2).then(function (res) {
          if (res.data.data.msg) {
            _this4.$toast('取消订阅成功');
            that.text = '订阅';
            that.queryStatus();
          } else {
            _this4.$toast('取消订阅失败');
          }
        });
      }
    },
    queryStatus: function queryStatus() {
      var that = this;
      var qs = __webpack_require__("mw3O");
      var userinfo = JSON.parse(Object(mUtils["getStore"])('userinfo'));
      var pageparam = {};
      pageparam.userId = userinfo.userId;
      pageparam.type1 = '01';
      pageparam.type2 = '1';
      var _param = qs.stringify(pageparam);
      var url = '/policy/queryPolicyStatus';
      this.$axios.post(url, _param).then(function (res) {
        if (res.data.data.zjx16Vo == '') {
          that.text = '订阅';
        } else {
          if (res.data.data.zjx16Vo.axzx0007 == '1') {
            that.text = '已订阅';
            that.zjx16Vo = res.data.data.zjx16Vo;
          } else {
            that.text = '订阅';
            that.zjx16Vo = res.data.data.zjx16Vo;
          }
        }
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/mainPage/part/policy.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var part_policy = ({
  name: "policy",
  components: {
    "v-reload": loadMore["a" /* default */], "v-refresh": dropDownRefresh["a" /* default */]
  },
  data: function data() {
    return {
      title: '政策法规',
      leftarrow: true,
      pageNumber: 1,
      pageSize: 10,
      total: 0,
      pages: 0,
      show: false,
      show1: true,
      // 上拉加载的设置
      infiniteLoadData: {
        pullUpState: 1, // 子组件的pullUpState状态
        pullUpList: [] // 上拉加载更多数据的数组
      },
      text: '',
      zjx16Vo: {}
    };
  },
  mounted: function mounted() {
    this.queryPolicy();
  },

  methods: {
    queryPolicy: function queryPolicy() {
      var _this = this;

      this.pageNumber = 1;
      var qs = __webpack_require__("mw3O");
      var pageparam = {};
      pageparam.pageNumber = 1;
      pageparam.pageSize = this.pageSize;
      pageparam.type = '1';
      var _param = qs.stringify(pageparam);
      var url = '/policy/queryPolicyDetail';
      this.$axios.post(url, _param).then(function (result) {
        if (result.data.errors.length == 0) {
          if (result.data.data.pageBean.list.length > 0) {
            _this.infiniteLoadData.pullUpList = result.data.data.pageBean.list;
            _this.total = result.data.data.pageBean.total; //总数
            _this.pages = result.data.data.pageBean.pages; //总数
            if (_this.pages == 1) {
              _this.infiniteLoadData.pullUpState = 3;
            }
            Object(mUtils["setStore"])('newslist', result.data.data.pageBean.list);
          } else {
            _this.show = true;
            _this.show1 = false;
          }
          if (JSON.parse(Object(mUtils["getStore"])('userinfo')) != null) {
            _this.queryStatus();
          }
        } else {
          _this.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {});
    },
    toPolicy: function toPolicy(val) {
      this.$router.push({ path: '/policyDetail', query: { 'newsinfo': val } });
    },

    //更多数据
    getPullUpMoreData: function getPullUpMoreData() {
      var _this2 = this;

      this.pageNumber = this.pageNumber + 1;
      if (this.pageNumber > this.pages) {
        return false;
      }
      var qs = __webpack_require__("mw3O");
      var newsInfo = {};
      newsInfo.azkx1015 = '1';
      var pageparam = {};
      pageparam.pageNumber = this.pageNumber;
      pageparam.pageSize = this.pageSize;
      pageparam.type = '1';
      var _param = qs.stringify(pageparam);
      var url = '/policy/queryPolicyDetail';
      this.$axios.post(url, _param).then(function (result) {
        if (result.data.errors.length == 0) {
          _this2.infiniteLoadData.pullUpList = _this2.infiniteLoadData.pullUpList.concat(result.data.data.pageBean.list);
          // setStore('newslist',this.infiniteLoadData.pullUpList);
          if (_this2.pageNumber == _this2.pages) {
            _this2.infiniteLoadData.pullUpState = 3;
          } else {
            _this2.infiniteLoadData.pullUpState = 1;
          }
        } else {
          _this2.$toast(result.data.errors[0].msg);
        }
      }).catch(function (e) {});
    },

    // 上拉加载
    onInfiniteLoad: function onInfiniteLoad(done) {
      if (this.infiniteLoadData.pullUpState === 1) {
        this.getPullUpMoreData();
      }
      done();
    },
    onRefresh: function onRefresh(done) {
      var _this3 = this;

      this.queryNews();
      this.infiniteLoadData.pullUpState = 1;
      done();
      this.$nextTick(function () {
        _this3.div.item(0).style.height = 22 + 'px';
      });
    },

    //跳转回前一页面
    onClickLeft: function onClickLeft() {
      this.$router.go(-1);
    },

    //订阅
    subscribe: function subscribe() {
      var _this4 = this;

      var that = this;
      var qs = __webpack_require__("mw3O");
      var userinfo = JSON.parse(Object(mUtils["getStore"])('userinfo'));
      var pageparam = {};
      if (this.text == '订阅') {
        pageparam.userId = userinfo.userId;
        pageparam.azjx1601 = that.zjx16Vo.azjx1601;
        pageparam.azjx1602 = '01';
        pageparam.azjx1604 = '1';
        var _param = qs.stringify(pageparam);
        var url = '/policy/subscribePolicy';
        this.$axios.post(url, _param).then(function (res) {
          if (res.data.data.msg) {
            _this4.$toast('订阅成功');
            that.text = '已订阅';
            that.queryStatus();
          } else {
            _this4.$toast('订阅失败');
          }
        });
      } else {
        pageparam.azjx1601 = that.zjx16Vo.azjx1601;
        var _param2 = qs.stringify(pageparam);
        var _url = '/policy/cancelSubscribePolicy';
        this.$axios.post(_url, _param2).then(function (res) {
          if (res.data.data.msg) {
            _this4.$toast('取消订阅成功');
            that.text = '订阅';
            that.queryStatus();
          } else {
            _this4.$toast('取消订阅失败');
          }
        });
      }
    },
    queryStatus: function queryStatus() {
      var that = this;
      var qs = __webpack_require__("mw3O");
      var userinfo = JSON.parse(Object(mUtils["getStore"])('userinfo'));
      var pageparam = {};
      pageparam.userId = userinfo.userId;
      pageparam.type1 = '01';
      pageparam.type2 = '1';
      var _param = qs.stringify(pageparam);
      var url = '/policy/queryPolicyStatus';
      this.$axios.post(url, _param).then(function (res) {
        if (res.data.data.zjx16Vo == '') {
          that.text = '订阅';
        } else {
          if (res.data.data.zjx16Vo.axzx0007 == '1') {
            that.text = '已订阅';
            that.zjx16Vo = res.data.data.zjx16Vo;
          } else {
            that.text = '订阅';
            that.zjx16Vo = res.data.data.zjx16Vo;
          }
        }
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-4f9e5059","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/mzbAPP/mainPage/part/policy.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticStyle:{"background-color":"#ffffff"}},[_c('van-nav-bar',{staticStyle:{"background-color":"#097cd7","font-size":"1rem"},attrs:{"title":_vm.title,"left-arrow":""},on:{"click-left":_vm.onClickLeft}}),_vm._v(" "),(_vm.show1)?_c('div',{staticStyle:{"position":"absolute","width":"100%","background-color":"#fff","height":"100%","z-index":"-100"}},[_c('v-refresh',{attrs:{"on-refresh":_vm.onRefresh}},[_c('v-reload',{attrs:{"on-infinite-load":_vm.onInfiniteLoad,"parent-pull-up-state":_vm.infiniteLoadData.pullUpState}},_vm._l((_vm.infiniteLoadData.pullUpList),function(item,index){return _c('div',{key:item.azkx2000,staticStyle:{"border-bottom":"#e5e5e5 1px solid","padding-bottom":"1rem","background-color":"#fff"}},[_c('div',{staticStyle:{"padding":"1rem","font-size":"1rem"},on:{"click":function($event){return _vm.toPolicy(item)}}},[_vm._v("\n                        "+_vm._s(item.azkx6102)+"\n                    ")]),_vm._v(" "),_c('div',{staticStyle:{"margin-left":"1rem","margin-bottom":"1rem"}},[_c('span',{staticStyle:{"font-size":"0.85rem","color":"#999999","float":"left"}},[_vm._v("所属类别："+_vm._s(item.azkx6013))]),_vm._v(" "),_c('span',{staticStyle:{"font-size":"0.85rem","color":"#999999","float":"right","margin-right":"10px"}},[_vm._v("来源时间："+_vm._s(item.azkx6113.substr(0,10)))])])])}),0)],1)],1):_vm._e(),_vm._v(" "),(_vm.show)?_c('div',{staticStyle:{"padding-top":"50%","text-align":"center","width":"100%","height":"100%","background":"white","position":"absolute"}},[_c('img',{staticStyle:{"width":"10rem","height":"8rem"},attrs:{"src":__webpack_require__("2nEM")}}),_vm._v(" "),_vm._m(0)]):_vm._e()],1)}
var staticRenderFns = [function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('span',{staticStyle:{"font-size":"1.1rem","color":"#999999"}},[_vm._v("没有相关信息")])])}]
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var mainPage_part_policy = (esExports);
// CONCATENATED MODULE: ./src/mzbAPP/mainPage/part/policy.vue
function injectStyle (ssrContext) {
  __webpack_require__("o4ue")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  part_policy,
  mainPage_part_policy,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var mzbAPP_mainPage_part_policy = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "o4ue":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=54.7b1fe0e843489fa234ca.js.map