webpackJsonp([63],{

/***/ "Oeui":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./src/common/components/header/headDetail.vue + 3 modules
var headDetail = __webpack_require__("Djmk");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/authentication/part/telAuthentication.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var telAuthentication = ({
  name: "telAuthentication",
  components: {
    headDetail: headDetail["a" /* default */]
  },
  mounted: function mounted() {
    // this.getUserInfo();
    // this.getAvatar();
  },
  data: function data() {
    return {
      //页面组件默认
      title: '手机号认证',
      leftarrow: true,
      userinfo: Object(mUtils["getStore"])('userinfo'),
      /* 验证信息表单数据 */
      telAuth: {
        telNum: '', // 电话号输入
        isDisabled: true, // 获取验证码按钮禁用
        typeNow: 'default', // 按钮禁用时的样式
        sms: '', // 短信验证码
        isClecked: true, // 点击获取验证码后 切换为读秒状态 且禁用
        checkcodeId: ''
      },
      /* 验证表单错误信息提示 */
      telErrorMes: {
        telError: '',
        smsError: ''
      },
      computedTime: 0, //倒数记时
      timer: null //计时器
    };
  },

  methods: {
    // 手机号输入框 输入事件
    inputMobile: function inputMobile() {
      if (this.telAuth.telNum.length == '11') {
        this.telAuth.isDisabled = false;
        this.telAuth.typeNow = "info";
      } else {
        this.telAuth.isDisabled = true;
        this.telAuth.typeNow = "default";
      }
    },

    // 获取验证码按钮 点击事件
    getSms: function getSms() {
      var _this = this;

      this.$vux.loading.show({
        text: '请稍候'
      });
      var userInfo = JSON.parse(this.userinfo);
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/personal/getSms', qs.stringify({
        'userId': userInfo.userId,
        'phonenumber': this.telAuth.telNum,
        'token': Object(mUtils["getStore"])('token')
      })).then(function (result) {
        _this.$vux.loading.hide();
        if (result.data.code == '-1') {
          _this.$dialog.alert({
            message: '您的登录信息已过期'
          }).then(function () {
            //清空本地缓存
            Object(mUtils["removeStore"])('userinfo');
            Object(mUtils["removeStore"])('curuser');
            Object(mUtils["removeStore"])('avatar');
            _this.$router.push({ path: '/login' });
          });
        } else {
          if (result.data.data.bizData.bizSuccess) {
            _this.$toast('发送验证码成功，请注意查收！');
            _this.telAuth.checkcodeId = JSON.parse(result.data.data.bizData.data).checkCodeId;
            _this.telAuth.isClecked = false;
            var TIME_COUNT = 30;
            if (!_this.timer) {
              _this.computedTime = TIME_COUNT;
              _this.timer = setInterval(function () {
                if (_this.computedTime > 0 && _this.computedTime <= TIME_COUNT) {
                  _this.computedTime--;
                } else {
                  clearInterval(_this.timer);
                  _this.timer = null;
                  _this.telAuth.isClecked = true;
                }
              }, 1000);
            }
          } else {
            _this.$toast(result.data.data.bizData.message);
          }
        }
      }).catch(function (e) {
        _this.$vux.loading.hide();
        console.log(e);
      });
    },

    // 去认证 点击事件
    goToAuthentication: function goToAuthentication() {
      var _this2 = this;

      var flag = true;
      this.telErrorMes.telError = '';
      this.telErrorMes.smsError = '';
      if (this.telAuth.telNum == '') {
        this.telErrorMes.telError = '请输入手机号';
        flag = false;
      } else {
        if (this.telAuth.sms == '') {
          this.telErrorMes.smsError = '请输入验证码';
          flag = false;
        }
      }
      if (flag) {
        this.$vux.loading.show({
          text: '请稍候'
        });
        var userInfo = JSON.parse(this.userinfo);
        var qs = __webpack_require__("mw3O");
        this.$axios.post('/personal/identityLevelTwo', qs.stringify({
          'userId': userInfo.userId,
          'phoneNumber': this.telAuth.telNum,
          'checkcodeId': this.telAuth.checkcodeId,
          'checkcode': this.telAuth.sms,
          'token': Object(mUtils["getStore"])('token')
        })).then(function (result) {
          _this2.$vux.loading.hide();
          if (result.data.code == '-1') {
            _this2.$dialog.alert({
              message: '您的登录信息已过期'
            }).then(function () {
              //清空本地缓存
              Object(mUtils["removeStore"])('userinfo');
              Object(mUtils["removeStore"])('curuser');
              Object(mUtils["removeStore"])('avatar');
              _this2.$router.push({ path: '/login' });
            });
          } else {
            if (result.data.data.bizData) {
              _this2.$router.push({ name: 'nextAuthentication', query: { title: '手机号认证' } });
            } else {
              _this2.$toast(result.data.errors[0].msg);
            }
          }
        }).catch(function (e) {
          _this2.$vux.loading.hide();
          console.log(e);
        });

        // this.$axios.post('/mlogin', qs.stringify({
        //     "loginId": this.userInfo.loginId,
        //     "password": formData.password
        // }))
        //     .then(result => {
        //         this.$vux.loading.hide();
        //         if (result.data.errors.length == 0  ) {
        //             // this.$router.push({path: '/personal'})
        //         } else {
        //
        //         }
        //     }).catch(e => {
        //     this.$vux.loading.hide();
        //     if (e.message.indexOf('504') != -1) {
        //         this.$toast('连接超时！')
        //     }
        // });
      }
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/mzbAPP/personal/part/authentication/part/telAuthentication.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var part_telAuthentication = ({
  name: "telAuthentication",
  components: {
    headDetail: headDetail["a" /* default */]
  },
  mounted: function mounted() {
    // this.getUserInfo();
    // this.getAvatar();
  },
  data: function data() {
    return {
      //页面组件默认
      title: '手机号认证',
      leftarrow: true,
      userinfo: Object(mUtils["getStore"])('userinfo'),
      /* 验证信息表单数据 */
      telAuth: {
        telNum: '', // 电话号输入
        isDisabled: true, // 获取验证码按钮禁用
        typeNow: 'default', // 按钮禁用时的样式
        sms: '', // 短信验证码
        isClecked: true, // 点击获取验证码后 切换为读秒状态 且禁用
        checkcodeId: ''
      },
      /* 验证表单错误信息提示 */
      telErrorMes: {
        telError: '',
        smsError: ''
      },
      computedTime: 0, //倒数记时
      timer: null //计时器
    };
  },

  methods: {
    // 手机号输入框 输入事件
    inputMobile: function inputMobile() {
      if (this.telAuth.telNum.length == '11') {
        this.telAuth.isDisabled = false;
        this.telAuth.typeNow = "info";
      } else {
        this.telAuth.isDisabled = true;
        this.telAuth.typeNow = "default";
      }
    },

    // 获取验证码按钮 点击事件
    getSms: function getSms() {
      var _this = this;

      this.$vux.loading.show({
        text: '请稍候'
      });
      var userInfo = JSON.parse(this.userinfo);
      var qs = __webpack_require__("mw3O");
      this.$axios.post('/personal/getSms', qs.stringify({
        'userId': userInfo.userId,
        'phonenumber': this.telAuth.telNum,
        'token': Object(mUtils["getStore"])('token')
      })).then(function (result) {
        _this.$vux.loading.hide();
        if (result.data.code == '-1') {
          _this.$dialog.alert({
            message: '您的登录信息已过期'
          }).then(function () {
            //清空本地缓存
            Object(mUtils["removeStore"])('userinfo');
            Object(mUtils["removeStore"])('curuser');
            Object(mUtils["removeStore"])('avatar');
            _this.$router.push({ path: '/login' });
          });
        } else {
          if (result.data.data.bizData.bizSuccess) {
            _this.$toast('发送验证码成功，请注意查收！');
            _this.telAuth.checkcodeId = JSON.parse(result.data.data.bizData.data).checkCodeId;
            _this.telAuth.isClecked = false;
            var TIME_COUNT = 30;
            if (!_this.timer) {
              _this.computedTime = TIME_COUNT;
              _this.timer = setInterval(function () {
                if (_this.computedTime > 0 && _this.computedTime <= TIME_COUNT) {
                  _this.computedTime--;
                } else {
                  clearInterval(_this.timer);
                  _this.timer = null;
                  _this.telAuth.isClecked = true;
                }
              }, 1000);
            }
          } else {
            _this.$toast(result.data.data.bizData.message);
          }
        }
      }).catch(function (e) {
        _this.$vux.loading.hide();
        console.log(e);
      });
    },

    // 去认证 点击事件
    goToAuthentication: function goToAuthentication() {
      var _this2 = this;

      var flag = true;
      this.telErrorMes.telError = '';
      this.telErrorMes.smsError = '';
      if (this.telAuth.telNum == '') {
        this.telErrorMes.telError = '请输入手机号';
        flag = false;
      } else {
        if (this.telAuth.sms == '') {
          this.telErrorMes.smsError = '请输入验证码';
          flag = false;
        }
      }
      if (flag) {
        this.$vux.loading.show({
          text: '请稍候'
        });
        var userInfo = JSON.parse(this.userinfo);
        var qs = __webpack_require__("mw3O");
        this.$axios.post('/personal/identityLevelTwo', qs.stringify({
          'userId': userInfo.userId,
          'phoneNumber': this.telAuth.telNum,
          'checkcodeId': this.telAuth.checkcodeId,
          'checkcode': this.telAuth.sms,
          'token': Object(mUtils["getStore"])('token')
        })).then(function (result) {
          _this2.$vux.loading.hide();
          if (result.data.code == '-1') {
            _this2.$dialog.alert({
              message: '您的登录信息已过期'
            }).then(function () {
              //清空本地缓存
              Object(mUtils["removeStore"])('userinfo');
              Object(mUtils["removeStore"])('curuser');
              Object(mUtils["removeStore"])('avatar');
              _this2.$router.push({ path: '/login' });
            });
          } else {
            if (result.data.data.bizData) {
              _this2.$router.push({ name: 'nextAuthentication', query: { title: '手机号认证' } });
            } else {
              _this2.$toast(result.data.errors[0].msg);
            }
          }
        }).catch(function (e) {
          _this2.$vux.loading.hide();
          console.log(e);
        });

        // this.$axios.post('/mlogin', qs.stringify({
        //     "loginId": this.userInfo.loginId,
        //     "password": formData.password
        // }))
        //     .then(result => {
        //         this.$vux.loading.hide();
        //         if (result.data.errors.length == 0  ) {
        //             // this.$router.push({path: '/personal'})
        //         } else {
        //
        //         }
        //     }).catch(e => {
        //     this.$vux.loading.hide();
        //     if (e.message.indexOf('504') != -1) {
        //         this.$toast('连接超时！')
        //     }
        // });
      }
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-3e461b03","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/mzbAPP/personal/part/authentication/part/telAuthentication.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('head-detail',{attrs:{"title":_vm.title,"leftarrow":_vm.leftarrow}}),_vm._v(" "),_c('div',{staticStyle:{"position":"absolute","top":"0","bottom":"0","width":"100%","height":"100%","background":"#fff"}},[_c('div',{staticStyle:{"margin-top":"3rem"}},[_c('div',{staticStyle:{"background-color":"#ffffff"}},[_c('van-cell-group',[_c('van-field',{attrs:{"label":"手机号码","size":"large","clearable":"","placeholder":"输入手机号码","input-align":"left","type":"number","maxlength":"11","error-message":_vm.telErrorMes.telError},on:{"input":_vm.inputMobile},model:{value:(_vm.telAuth.telNum),callback:function ($$v) {_vm.$set(_vm.telAuth, "telNum", $$v)},expression:"telAuth.telNum"}})],1)],1),_vm._v(" "),_c('div',{staticStyle:{"background-color":"#ffffff"}},[_c('van-cell-group',[_c('van-field',{attrs:{"center":"","clearable":"","label":"验证码","placeholder":"输入短信验证码","maxlength":"5","error-message":_vm.telErrorMes.smsError},model:{value:(_vm.telAuth.sms),callback:function ($$v) {_vm.$set(_vm.telAuth, "sms", $$v)},expression:"telAuth.sms"}},[(_vm.telAuth.isClecked)?_c('van-button',{attrs:{"slot":"button","disabled":_vm.telAuth.isDisabled,"plain":"","hairline":"","size":"small","type":_vm.telAuth.typeNow},on:{"click":_vm.getSms},slot:"button"},[_vm._v("获取验证码\n                        ")]):_c('van-button',{attrs:{"slot":"button","disabled":"","size":"small","type":"info","loading-type":"spinner","loading-size":"14px"},slot:"button"},[_vm._v(_vm._s(_vm.computedTime)+"s后重新获取\n                        ")])],1)],1)],1),_vm._v(" "),_c('div',{staticStyle:{"margin-top":"25px","width":"90%","text-align":"center","margin-left":"5%"}},[_c('van-button',{staticStyle:{"border-radius":"5px","font-size":"18px","background":"rgb(233, 71, 71)","border":"none"},attrs:{"type":"info","size":"large"},on:{"click":function($event){return _vm.goToAuthentication()}}},[_vm._v("认证\n                ")])],1)])])],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var authentication_part_telAuthentication = (esExports);
// CONCATENATED MODULE: ./src/mzbAPP/personal/part/authentication/part/telAuthentication.vue
function injectStyle (ssrContext) {
  __webpack_require__("hQQU")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  part_telAuthentication,
  authentication_part_telAuthentication,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var part_authentication_part_telAuthentication = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "hQQU":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});
//# sourceMappingURL=63.948a2a75a0213820ba42.js.map